/*
	Extern implementation of Nit module binary
*/
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include "binary._ffi.h"
#ifdef ANDROID
	#include <android/log.h>
	#define PRINT_ERROR(...) (void)__android_log_print(ANDROID_LOG_WARN, "Nit", __VA_ARGS__)
#else
	#define PRINT_ERROR(...) fprintf(stderr, __VA_ARGS__)
#endif
#line 42 "/home/xymus/projects/nit/lib/binary/binary.nit"


	#include <inttypes.h>
	#include <endian.h>

	// Android compatibility
	#ifndef be32toh
		#define be32toh(val) betoh32(val)
		#define le32toh(val) letoh32(val)
	#endif

	#ifndef be64toh
		#define be64toh(val) betoh64(val)
		#define le64toh(val) letoh64(val)
	#endif
double binary___Reader_native_read_float___impl( Reader self, unsigned char b0, unsigned char b1, unsigned char b2, unsigned char b3, int big_endian )
{
#line 224 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char b[4];
			float val;
			uint32_t conv;
		} u;

		u.b[0] = b0;
		u.b[1] = b1;
		u.b[2] = b2;
		u.b[3] = b3;

		if (big_endian)
			u.conv = be32toh(u.conv);
		else u.conv = le32toh(u.conv);

		return u.val;
	}
double binary___Reader_native_read_double___impl( Reader self, unsigned char b0, unsigned char b1, unsigned char b2, unsigned char b3, unsigned char b4, unsigned char b5, unsigned char b6, unsigned char b7, int big_endian )
{
#line 267 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char b[8];
			double val;
			uint64_t conv;
		} u;

		u.b[0] = b0;
		u.b[1] = b1;
		u.b[2] = b2;
		u.b[3] = b3;
		u.b[4] = b4;
		u.b[5] = b5;
		u.b[6] = b6;
		u.b[7] = b7;

		if (big_endian)
			u.conv = be64toh(u.conv);
		else u.conv = le64toh(u.conv);

		return u.val;
	}
long binary___Reader_native_read_int64___impl( Reader self, unsigned char b0, unsigned char b1, unsigned char b2, unsigned char b3, unsigned char b4, unsigned char b5, unsigned char b6, unsigned char b7, int big_endian )
{
#line 317 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char b[8];
			int64_t val;
			uint64_t conv;
		} u;

		u.b[0] = b0;
		u.b[1] = b1;
		u.b[2] = b2;
		u.b[3] = b3;
		u.b[4] = b4;
		u.b[5] = b5;
		u.b[6] = b6;
		u.b[7] = b7;

		if (big_endian)
			u.conv = be64toh(u.conv);
		else u.conv = le64toh(u.conv);

		return u.val;
	}
unsigned char binary___Int_int64_byte_at___impl( long self, long index, int big_endian )
{
#line 343 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char bytes[8];
			int64_t val;
			uint64_t conv;
		} u;

		u.val = self;

		if (big_endian)
			u.conv = htobe64(u.conv);
		else u.conv = htole64(u.conv);

		return u.bytes[index];
	}
unsigned char binary___Float_float_byte_at___impl( double self, long index, int big_endian )
{
#line 362 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char bytes[4];
			float val;
			uint32_t conv;
		} u;

		u.val = self;

		if (big_endian)
			u.conv = htobe32(u.conv);
		else u.conv = htole32(u.conv);

		return u.bytes[index];
	}
unsigned char binary___Float_double_byte_at___impl( double self, long index, int big_endian )
{
#line 379 "/home/xymus/projects/nit/lib/binary/binary.nit"


		union {
			unsigned char bytes[8];
			double val;
			uint64_t conv;
		} u;

		u.val = self;

		if (big_endian)
			u.conv = htobe64(u.conv);
		else u.conv = htole64(u.conv);

		return u.bytes[index];
	}
