/*
	Extern implementation of Nit module exec
*/
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include "core__exec._ffi.h"
#ifdef ANDROID
	#include <android/log.h>
	#define PRINT_ERROR(...) (void)__android_log_print(ANDROID_LOG_WARN, "Nit", __VA_ARGS__)
#else
	#define PRINT_ERROR(...) fprintf(stderr, __VA_ARGS__)
#endif
#line 19 "/home/xymus/projects/nit/lib/core/exec.nit"


	#include <stdlib.h>
	#include <string.h>
	#include <errno.h>
	#include <stdio.h>
	#include <unistd.h>
	#include <sys/wait.h>
	#include <signal.h>
 se_exec_data_t*  core__exec___Process_basic_exec_execute___impl( Process self, char* prog, char* args, long argc, long pipeflag )
{
#line 112 "/home/xymus/projects/nit/lib/core/exec.nit"


		se_exec_data_t* result = NULL;
		int id;
		int in_fd[2];
		int out_fd[2];
		int err_fd[2];
		if (pipeflag & 1) {
			int res = pipe(in_fd);
			if ( res == -1 ) {
				return NULL;
			}
		}
		if (pipeflag & 2) {
			int res = pipe(out_fd);
			if ( res == -1 ) {
				return NULL;
			}
		}
		if (pipeflag & 4) {
			int res = pipe(err_fd);
			if ( res == -1 ) {
				return NULL;
			}
		}

		id = fork();
		if (id == 0)
			{ /* child */
			char **arg = malloc(sizeof(char*) * (argc+1));
			char *c = args;
			int i;

			/* Prepare args */
			for(i=0; i<argc; i++)
			{
				arg[i] = c;
				c += strlen(c) + 1;
			}
			arg[argc] = NULL;

			/* Connect pipe */
			if (pipeflag & 1)
			{
				close(0);
				dup2(in_fd[0], 0);
				close(in_fd[0]);
				close(in_fd[1]);
			}
			if (pipeflag & 2)
			{
				close(1);
				dup2(out_fd[1], 1);
				close(out_fd[0]);
				close(out_fd[1]);
			}
			if (pipeflag & 4)
			{
				close(2);
				dup2(err_fd[1], 2);
				close(err_fd[0]);
				close(err_fd[1]);
			}

			/* calls */
			execvp(prog, arg);
			_exit(127);
		}
		else if (id > 0)
			{ /* father */
			result = (se_exec_data_t*)malloc(sizeof(se_exec_data_t));
			result->id = id;
			result->running = 1;
			if (pipeflag & 1)
			{
				result->in_fd = in_fd[1];
				close(in_fd[0]);
			} else
				result->in_fd = -1;

			if (pipeflag & 2)
			{
				result->out_fd = out_fd[0];
				close(out_fd[1]);
			} else
				result->out_fd = -1;

			if (pipeflag & 4)
			{
				result->err_fd = err_fd[0];
				close(err_fd[1]);
			} else
				result->err_fd = -1;
		}

		return result;
	}
long core__exec___NativeString_system___impl( char* self )
{
#line 332 "/home/xymus/projects/nit/lib/core/exec.nit"


		int status = system(self);
		if (WIFSIGNALED(status) && WTERMSIG(status) == SIGINT) {
			// system exited on SIGINT: in my opinion the user wants the main to be discontinued
			kill(getpid(), SIGINT);
		}
		return status;
	}
long core__exec___NativeProcess_id___impl(  se_exec_data_t*  self )
{
#line 344 "/home/xymus/projects/nit/lib/core/exec.nit"

 return self->id; }
long core__exec___NativeProcess_status___impl(  se_exec_data_t*  self )
{
#line 345 "/home/xymus/projects/nit/lib/core/exec.nit"

 return self->status; }
long core__exec___NativeProcess_in_fd___impl(  se_exec_data_t*  self )
{
#line 346 "/home/xymus/projects/nit/lib/core/exec.nit"

 return self->in_fd; }
long core__exec___NativeProcess_out_fd___impl(  se_exec_data_t*  self )
{
#line 347 "/home/xymus/projects/nit/lib/core/exec.nit"

 return self->out_fd; }
long core__exec___NativeProcess_err_fd___impl(  se_exec_data_t*  self )
{
#line 348 "/home/xymus/projects/nit/lib/core/exec.nit"

 return self->err_fd; }
int core__exec___NativeProcess_is_finished___impl(  se_exec_data_t*  self )
{
#line 350 "/home/xymus/projects/nit/lib/core/exec.nit"


		int result = (int)0;
		int status;
		if (self->running) {
			int id = waitpid(self->id, &status, WNOHANG);
			if (id != 0) {
				/* child is finished */
				result = (int)(id == self->id);
				self->status = WEXITSTATUS(status);
				self->running = 0;
			}
		}
		else{
			result = (int)1;
		}
		return result;
	}
void core__exec___NativeProcess_wait___impl(  se_exec_data_t*  self )
{
#line 368 "/home/xymus/projects/nit/lib/core/exec.nit"


		int status;
		if (self->running) {
			waitpid(self->id, &status, 0);
			self->status = WEXITSTATUS(status);
			self->running = 0;
		}
	}
