#include "linux_round_n_round_45dd.main.0.h"
struct nitni_global_ref_list_t *nitni_global_ref_list;
void initialize_nitni_global_refs() {
	nitni_global_ref_list = (struct nitni_global_ref_list_t*)nit_alloc(sizeof(struct nitni_global_ref_list_t));
	nitni_global_ref_list->head = NULL;
	nitni_global_ref_list->tail = NULL;
}

void nitni_global_ref_add( struct nitni_ref *ref ) {
	if ( nitni_global_ref_list->head == NULL ) {
		nitni_global_ref_list->head = ref;
		ref->prev = NULL;
	} else {
		nitni_global_ref_list->tail->next = ref;
		ref->prev = nitni_global_ref_list->tail;
	}
	nitni_global_ref_list->tail = ref;

	ref->next = NULL;
}

void nitni_global_ref_remove( struct nitni_ref *ref ) {
	if ( ref->prev == NULL ) {
		nitni_global_ref_list->head = ref->next;
	} else {
		ref->prev->next = ref->next;
	}

	if ( ref->next == NULL ) {
		nitni_global_ref_list->tail = ref->prev;
	} else {
		ref->next->prev = ref->prev;
	}
}

extern void nitni_global_ref_incr( struct nitni_ref *ref ) {
	if ( ref->count == 0 ) /* not registered */
	{
		/* add to list */
		nitni_global_ref_add( ref );
	}

	ref->count ++;
}

extern void nitni_global_ref_decr( struct nitni_ref *ref ) {
	if ( ref->count == 1 ) /* was last reference */
	{
		/* remove from list */
		nitni_global_ref_remove( ref );
	}

	ref->count --;
}

#include <signal.h>
#ifndef NO_STACKTRACE
#define UNW_LOCAL_ONLY
#include <libunwind.h>
#include "c_functions_hash.h"
#endif
int glob_argc;
char **glob_argv;
val *glob_sys;
static void show_backtrace(void) {
#ifndef NO_STACKTRACE
char* opt = getenv("NIT_NO_STACK");
unw_cursor_t cursor;
if(opt==NULL){
unw_context_t uc;
unw_word_t ip;
char* procname = malloc(sizeof(char) * 100);
unw_getcontext(&uc);
unw_init_local(&cursor, &uc);
PRINT_ERROR("-------------------------------------------------\n");
PRINT_ERROR("--   Stack Trace   ------------------------------\n");
PRINT_ERROR("-------------------------------------------------\n");
while (unw_step(&cursor) > 0) {
	unw_get_proc_name(&cursor, procname, 100, &ip);
	const char* recv = get_nit_name(procname, strlen(procname));
	if (recv != NULL){
		PRINT_ERROR("` %s\n", recv);
	}else{
		PRINT_ERROR("` %s\n", procname);
	}
}
PRINT_ERROR("-------------------------------------------------\n");
free(procname);
}
#endif /* NO_STACKTRACE */
}
void sig_handler(int signo){
PRINT_ERROR("Caught signal : %s\n", strsignal(signo));
show_backtrace();
signal(signo, SIG_DFL);
kill(getpid(), signo);
}
void fatal_exit(int status) {
show_backtrace();
exit(status);
}
int main(int argc, char** argv) {
val* var /* : Sys */;
signal(SIGABRT, sig_handler);
signal(SIGFPE, sig_handler);
signal(SIGILL, sig_handler);
signal(SIGINT, sig_handler);
signal(SIGTERM, sig_handler);
signal(SIGSEGV, sig_handler);
signal(SIGPIPE, SIG_IGN);
glob_argc = argc; glob_argv = argv;
initialize_gc_option();
initialize_nitni_global_refs();
var = NEW_core__Sys(&type_core__Sys);
glob_sys = var;
{
((void(*)(val* self))(var->class->vft[COLOR_core__kernel__Object__init]))(var); /* init on <var:Sys>*/
}
{
((void(*)(val* self))(var->class->vft[COLOR_core__kernel__Sys__run]))(var); /* run on <var:Sys>*/
}
return 0;
}
const char FILE_linux_round_n_round_45dd[] = "src/linux_round_n_round.nit";
const char FILE_rnr__linux_round_n_round[] = "src/linux_round_n_round.nit";
const char FILE_rnr__round_n_round[] = "src/round_n_round.nit";
const char FILE_mnit[] = "/home/xymus/projects/nit/lib/mnit/mnit.nit";
const char FILE_mnit__mnit_app[] = "/home/xymus/projects/nit/lib/mnit/mnit_app.nit";
const char FILE_app[] = "/home/xymus/projects/nit/lib/app/app.nit";
const char FILE_app__app_base[] = "/home/xymus/projects/nit/lib/app/app_base.nit";
const char FILE_core[] = "/home/xymus/projects/nit/lib/core/core.nit";
const char FILE_core__posix[] = "/home/xymus/projects/nit/lib/core/posix.nit";
const char FILE_core__text[] = "/home/xymus/projects/nit/lib/core/text/text.nit";
const char FILE_core__ropes[] = "/home/xymus/projects/nit/lib/core/text/ropes.nit";
const char FILE_core__flat[] = "/home/xymus/projects/nit/lib/core/text/flat.nit";
const char FILE_core__abstract_text[] = "/home/xymus/projects/nit/lib/core/text/abstract_text.nit";
const char FILE_core__native[] = "/home/xymus/projects/nit/lib/core/text/native.nit";
const char FILE_core__kernel[] = "/home/xymus/projects/nit/lib/core/kernel.nit";
const char FILE_core__math[] = "/home/xymus/projects/nit/lib/core/math.nit";
const char FILE_core__collection[] = "/home/xymus/projects/nit/lib/core/collection/collection.nit";
const char FILE_core__range[] = "/home/xymus/projects/nit/lib/core/collection/range.nit";
const char FILE_core__abstract_collection[] = "/home/xymus/projects/nit/lib/core/collection/abstract_collection.nit";
const char FILE_core__list[] = "/home/xymus/projects/nit/lib/core/collection/list.nit";
const char FILE_core__array[] = "/home/xymus/projects/nit/lib/core/collection/array.nit";
const char FILE_core__sorter[] = "/home/xymus/projects/nit/lib/core/collection/sorter.nit";
const char FILE_core__hash_collection[] = "/home/xymus/projects/nit/lib/core/collection/hash_collection.nit";
const char FILE_core__union_find[] = "/home/xymus/projects/nit/lib/core/collection/union_find.nit";
const char FILE_core__string_search[] = "/home/xymus/projects/nit/lib/core/text/string_search.nit";
const char FILE_core__environ[] = "/home/xymus/projects/nit/lib/core/environ.nit";
const char FILE_core__file[] = "/home/xymus/projects/nit/lib/core/file.nit";
const char FILE_core__stream[] = "/home/xymus/projects/nit/lib/core/stream.nit";
const char FILE_core__error[] = "/home/xymus/projects/nit/lib/core/error.nit";
const char FILE_core__bytes[] = "/home/xymus/projects/nit/lib/core/bytes.nit";
const char FILE_core__codecs[] = "/home/xymus/projects/nit/lib/core/codecs/codecs.nit";
const char FILE_core__codec_base[] = "/home/xymus/projects/nit/lib/core/codecs/codec_base.nit";
const char FILE_core__utf8[] = "/home/xymus/projects/nit/lib/core/codecs/utf8.nit";
const char FILE_core__time[] = "/home/xymus/projects/nit/lib/core/time.nit";
const char FILE_core__gc[] = "/home/xymus/projects/nit/lib/core/gc.nit";
const char FILE_core__exec[] = "/home/xymus/projects/nit/lib/core/exec.nit";
const char FILE_core__bitset[] = "/home/xymus/projects/nit/lib/core/bitset.nit";
const char FILE_core__queue[] = "/home/xymus/projects/nit/lib/core/queue.nit";
const char FILE_core__numeric[] = "/home/xymus/projects/nit/lib/core/numeric.nit";
const char FILE_core__re[] = "/home/xymus/projects/nit/lib/core/re.nit";
const char FILE_core__fixed_ints[] = "/home/xymus/projects/nit/lib/core/fixed_ints.nit";
const char FILE_mnit__display[] = "/home/xymus/projects/nit/lib/mnit/display.nit";
const char FILE_mnit__input[] = "/home/xymus/projects/nit/lib/mnit/input.nit";
const char FILE_mnit__assets[] = "/home/xymus/projects/nit/lib/mnit/assets.nit";
const char FILE_mnit__numbers[] = "/home/xymus/projects/nit/lib/mnit/numbers.nit";
const char FILE_mnit__mnit_fps[] = "/home/xymus/projects/nit/lib/mnit/mnit_fps.nit";
const char FILE_realtime[] = "/home/xymus/projects/nit/lib/realtime.nit";
const char FILE_rnr__game[] = "src/game/game.nit";
const char FILE_rnr__astrals[] = "src/game/astrals.nit";
const char FILE_bucketed_game[] = "/home/xymus/projects/nit/lib/bucketed_game.nit";
const char FILE_serialization[] = "/home/xymus/projects/nit/lib/serialization/serialization.nit";
const char FILE_counter[] = "/home/xymus/projects/nit/lib/counter.nit";
const char FILE_poset[] = "/home/xymus/projects/nit/lib/poset.nit";
const char FILE_rnr__building[] = "src/game/building.nit";
const char FILE_rnr__game_base[] = "src/game/game_base.nit";
const char FILE_rnr__progress_listener[] = "src/game/progress_listener.nit";
const char FILE_rnr__lib_addons[] = "src/game/lib_addons.nit";
const char FILE_performance_analysis[] = "/home/xymus/projects/nit/lib/performance_analysis.nit";
const char FILE_rnr__nations[] = "src/game/nations.nit";
const char FILE_rnr__resources[] = "src/game/resources.nit";
const char FILE_more_collections[] = "/home/xymus/projects/nit/lib/more_collections.nit";
const char FILE_rnr__entities[] = "src/game/entities.nit";
const char FILE_rnr__move_graph[] = "src/game/move_graph/move_graph.nit";
const char FILE_rnr__walkable[] = "src/game/move_graph/walkable.nit";
const char FILE_rnr__move_base[] = "src/game/move_graph/move_base.nit";
const char FILE_a_star[] = "/home/xymus/projects/nit/lib/a_star.nit";
const char FILE_rnr__flyable[] = "src/game/move_graph/flyable.nit";
const char FILE_rnr__glidable[] = "src/game/move_graph/glidable.nit";
const char FILE_rnr__orbitable[] = "src/game/move_graph/orbitable.nit";
const char FILE_rnr__saucable[] = "src/game/move_graph/saucable.nit";
const char FILE_rnr__line_of_sight[] = "src/game/line_of_sight.nit";
const char FILE_pthreads[] = "/home/xymus/projects/nit/lib/pthreads/pthreads.nit";
const char FILE_pthreads__redef_collections[] = "/home/xymus/projects/nit/lib/pthreads/redef_collections.nit";
const char FILE_rnr__building_attack[] = "src/game/building_attack.nit";
const char FILE_rnr__fights[] = "src/game/fights.nit";
const char FILE_rnr__units[] = "src/game/units.nit";
const char FILE_rnr__verse_generation[] = "src/game/verse_generation/verse_generation.nit";
const char FILE_rnr__base[] = "src/game/verse_generation/base.nit";
const char FILE_rnr__biomes[] = "src/game/biomes.nit";
const char FILE_rnr__passages[] = "src/game/passages.nit";
const char FILE_rnr__consolidated_story[] = "src/game/consolidated_story.nit";
const char FILE_rnr__more_biomes_generators[] = "src/game/verse_generation/more_biomes_generators.nit";
const char FILE_rnr__more_layout_generators[] = "src/game/verse_generation/more_layout_generators.nit";
const char FILE_rnr__spyglass[] = "src/game/spyglass.nit";
const char FILE_rnr__colonies[] = "src/game/colonies.nit";
const char FILE_rnr__transports[] = "src/game/transports.nit";
const char FILE_rnr__weapons[] = "src/game/weapons.nit";
const char FILE_rnr__applicable_items[] = "src/game/applicable_items.nit";
const char FILE_rnr__skills[] = "src/game/skills.nit";
const char FILE_rnr__training[] = "src/game/training.nit";
const char FILE_rnr__building_covering[] = "src/game/building_covering.nit";
const char FILE_rnr__diplomacy[] = "src/game/diplomacy.nit";
const char FILE_rnr__building_workers[] = "src/game/building_workers.nit";
const char FILE_rnr__animals[] = "src/game/animals.nit";
const char FILE_rnr__players[] = "src/game/players.nit";
const char FILE_rnr__governor[] = "src/game/governor.nit";
const char FILE_rnr__ais[] = "src/game/ais/ais.nit";
const char FILE_rnr__aida[] = "src/game/ais/aida.nit";
const char FILE_rnr__hoods[] = "src/game/hoods.nit";
const char FILE_rnr__ai_memory[] = "src/game/ais/ai_memory.nit";
const char FILE_rnr__population[] = "src/game/population.nit";
const char FILE_rnr__plan_colony[] = "src/game/ais/plan_colony.nit";
const char FILE_ai__backtrack[] = "/home/xymus/projects/nit/lib/ai/backtrack.nit";
const char FILE_rnr__starting_spot[] = "src/game/starting_spot.nit";
const char FILE_rnr__trading[] = "src/game/trading.nit";
const char FILE_rnr__plan_population[] = "src/game/ais/plan_population.nit";
const char FILE_ai__search[] = "/home/xymus/projects/nit/lib/ai/search.nit";
const char FILE_trees[] = "/home/xymus/projects/nit/lib/trees/trees.nit";
const char FILE_trees__abstract_tree[] = "/home/xymus/projects/nit/lib/trees/abstract_tree.nit";
const char FILE_trees__bintree[] = "/home/xymus/projects/nit/lib/trees/bintree.nit";
const char FILE_trees__rbtree[] = "/home/xymus/projects/nit/lib/trees/rbtree.nit";
const char FILE_rnr__armors[] = "src/game/armors.nit";
const char FILE_rnr__master_plan[] = "src/game/ais/master_plan.nit";
const char FILE_rnr__breathing[] = "src/game/breathing.nit";
const char FILE_rnr__nature[] = "src/game/ais/nature.nit";
const char FILE_rnr__falling[] = "src/game/falling.nit";
const char FILE_rnr__fog_of_war[] = "src/game/fog_of_war.nit";
const char FILE_rnr__recruit_army[] = "src/game/recruit_army.nit";
const char FILE_rnr__farm[] = "src/game/farm.nit";
const char FILE_rnr__jetpacking[] = "src/game/jetpacking.nit";
const char FILE_rnr__gates[] = "src/game/gates.nit";
const char FILE_rnr__nukes[] = "src/game/nukes.nit";
const char FILE_rnr__portable_passages[] = "src/game/portable_passages.nit";
const char FILE_rnr__watch_tower[] = "src/game/watch_tower.nit";
const char FILE_rnr__nation_color[] = "src/game/nation_color.nit";
const char FILE_colors[] = "/home/xymus/projects/nit/lib/colors.nit";
const char FILE_rnr__standard[] = "src/game/standard.nit";
const char FILE_rnr__healing[] = "src/game/healing.nit";
const char FILE_rnr__gathering[] = "src/game/gathering.nit";
const char FILE_rnr__airports[] = "src/game/airports.nit";
const char FILE_rnr__satellites[] = "src/game/satellites.nit";
const char FILE_rnr__artillery[] = "src/game/artillery.nit";
const char FILE_rnr__shared_sight[] = "src/game/shared_sight.nit";
const char FILE_rnr__camp[] = "src/game/camp.nit";
const char FILE_rnr__fire[] = "src/game/fire.nit";
const char FILE_rnr__client[] = "src/client/client.nit";
const char FILE_binary__serialization[] = "/home/xymus/projects/nit/lib/binary/serialization.nit";
const char FILE_serialization__caching[] = "/home/xymus/projects/nit/lib/serialization/caching.nit";
const char FILE_serialization__engine_tools[] = "/home/xymus/projects/nit/lib/serialization/engine_tools.nit";
const char FILE_binary[] = "/home/xymus/projects/nit/lib/binary/binary.nit";
const char FILE_rnr__event_statistics[] = "src/game/event_statistics.nit";
const char FILE_rnr__saving[] = "src/common/saving.nit";
const char FILE_rnr__version[] = "src/version.nit";
const char FILE_rnr__assets[] = "src/client/assets.nit";
const char FILE_rnr__round_n_round_story[] = "src/round_n_round_story.nit";
const char FILE_rnr__sprites[] = "src/client/sprites.nit";
const char FILE_mnit__opengles1[] = "/home/xymus/projects/nit/lib/mnit/opengles1.nit";
const char FILE_rnr__drawing[] = "src/client/drawing.nit";
const char FILE_mnit__image_set[] = "/home/xymus/projects/nit/lib/mnit/image_set.nit";
const char FILE_rnr__planets[] = "src/client/planets.nit";
const char FILE_rnr__lib[] = "src/client/lib.nit";
const char FILE_mnit__pretty[] = "/home/xymus/projects/nit/lib/mnit/controls/pretty.nit";
const char FILE_mnit__controls[] = "/home/xymus/projects/nit/lib/mnit/controls/controls.nit";
const char FILE_geometry[] = "/home/xymus/projects/nit/lib/geometry/geometry.nit";
const char FILE_geometry__points_and_lines[] = "/home/xymus/projects/nit/lib/geometry/points_and_lines.nit";
const char FILE_geometry__boxes[] = "/home/xymus/projects/nit/lib/geometry/boxes.nit";
const char FILE_geometry__angles[] = "/home/xymus/projects/nit/lib/geometry/angles.nit";
const char FILE_mnit__tileset[] = "/home/xymus/projects/nit/lib/mnit/tileset.nit";
const char FILE_rnr__settings[] = "src/client/settings.nit";
const char FILE_app__data_store[] = "/home/xymus/projects/nit/lib/app/data_store.nit";
const char FILE_rnr__services[] = "src/client/services.nit";
const char FILE_rnr__network[] = "src/client/network.nit";
const char FILE_socket[] = "/home/xymus/projects/nit/lib/socket/socket.nit";
const char FILE_socket__socket_c[] = "/home/xymus/projects/nit/lib/socket/socket_c.nit";
const char FILE_pthreads__concurrent_collections[] = "/home/xymus/projects/nit/lib/pthreads/concurrent_collections.nit";
const char FILE_rnr__common[] = "src/common/common.nit";
const char FILE_rnr__messages[] = "src/common/messages.nit";
const char FILE_rnr__common_server[] = "src/common/common_server.nit";
const char FILE_rnr__thin_additions[] = "src/client/thin_additions.nit";
const char FILE_rnr__screens[] = "src/client/screens/screens.nit";
const char FILE_rnr__splash_screen[] = "src/client/screens/splash_screen.nit";
const char FILE_rnr__splash[] = "src/client/splash.nit";
const char FILE_rnr__drawing_addons[] = "src/client/drawing_addons.nit";
const char FILE_rnr__menu_screen[] = "src/client/screens/menu_screen.nit";
const char FILE_rnr__main_menu_screen[] = "src/client/screens/main_menu_screen.nit";
const char FILE_rnr__save_slots[] = "src/client/save_slots.nit";
const char FILE_rnr__shared_controls[] = "src/client/screens/shared_controls.nit";
const char FILE_rnr__falling_box[] = "src/client/falling_box.nit";
const char FILE_rnr__visibles[] = "src/client/visibles.nit";
const char FILE_rnr__draw_specials[] = "src/client/draw_specials.nit";
const char FILE_rnr__nebula[] = "src/client/nebula.nit";
const char FILE_noise[] = "/home/xymus/projects/nit/lib/noise.nit";
const char FILE_rnr__opulent_text[] = "src/client/opulent_text.nit";
const char FILE_rnr__lpc[] = "src/client/lpc.nit";
const char FILE_rnr__world_screen[] = "src/client/screens/world_screen.nit";
const char FILE_rnr__visible_orders[] = "src/client/visible_orders.nit";
const char FILE_rnr__stars[] = "src/client/stars.nit";
const char FILE_rnr__popups[] = "src/client/popups.nit";
const char FILE_rnr__game_concepts[] = "src/client/game_concepts.nit";
const char FILE_rnr__hints[] = "src/client/hints.nit";
const char FILE_rnr__particles[] = "src/client/particles.nit";
const char FILE_rnr__events_list[] = "src/client/events_list.nit";
const char FILE_rnr__group_selection[] = "src/client/group_selection.nit";
const char FILE_rnr__planet_menu[] = "src/client/planet_menu.nit";
const char FILE_rnr__new_game_screen[] = "src/client/screens/new_game_screen.nit";
const char FILE_rnr__save_game_screen[] = "src/client/screens/save_game_screen.nit";
const char FILE_rnr__load_game_screen[] = "src/client/screens/load_game_screen.nit";
const char FILE_rnr__join_game_screen[] = "src/client/screens/join_game_screen.nit";
const char FILE_rnr__host_game_screen[] = "src/client/screens/host_game_screen.nit";
const char FILE_rnr__options_screen[] = "src/client/screens/options_screen.nit";
const char FILE_rnr__play_screen[] = "src/client/screens/play_screen.nit";
const char FILE_rnr__serialization_support[] = "src/serialization_support.nit";
const char FILE_rnr__test_game[] = "src/test_game.nit";
const char FILE_mnit__linux[] = "/home/xymus/projects/nit/lib/mnit/linux/linux.nit";
const char FILE_mnit__linux_app[] = "/home/xymus/projects/nit/lib/mnit/linux/linux_app.nit";
const char FILE_sdl[] = "/home/xymus/projects/nit/lib/sdl.nit";
const char FILE_c[] = "/home/xymus/projects/nit/lib/c.nit";
const char FILE_mnit__linux_opengles1[] = "/home/xymus/projects/nit/lib/mnit/linux/linux_opengles1.nit";
const char FILE_linux[] = "/home/xymus/projects/nit/lib/linux/linux.nit";
const char FILE_mnit__linux_assets[] = "/home/xymus/projects/nit/lib/mnit/linux/linux_assets.nit";
const char FILE_linux__data_store[] = "/home/xymus/projects/nit/lib/linux/data_store.nit";
const char FILE_xdg_basedir[] = "/home/xymus/projects/nit/lib/xdg_basedir/xdg_basedir.nit";
const char FILE_sqlite3[] = "/home/xymus/projects/nit/lib/sqlite3/sqlite3.nit";
const char FILE_sqlite3__native_sqlite3[] = "/home/xymus/projects/nit/lib/sqlite3/native_sqlite3.nit";
const char FILE_json__serialization[] = "/home/xymus/projects/nit/lib/json/serialization.nit";
const char FILE_json__static[] = "/home/xymus/projects/nit/lib/json/static.nit";
const char FILE_json__error[] = "/home/xymus/projects/nit/lib/json/error.nit";
const char FILE_nitcc_runtime[] = "/home/xymus/projects/nit/lib/nitcc_runtime.nit";
const char FILE_json__json_parser[] = "/home/xymus/projects/nit/lib/json/json_parser.nit";
const char FILE_json__json_lexer[] = "/home/xymus/projects/nit/lib/json/json_lexer.nit";
void gc_finalize (void *obj, void *client_data) {
val* var /* : Finalizable */;
var = obj;
{
((void(*)(val* self))(var->class->vft[COLOR_core__gc__Finalizable__finalize]))(var); /* finalize on <var:Finalizable>*/
}
}
