CC = ccache cc
CXX = ccache c++
CFLAGS = -g -O2 -Wno-unused-value -Wno-switch -Wno-attributes
CINCL =
LDFLAGS ?= 
LDLIBS  ?= -lm -lm -lrt -pthread -L/usr/lib/x86_64-linux-gnu -lSDL  -lSDL_image -lSDL_ttf


# SPECIAL CONFIGURATION FLAGS
NO_STACKTRACE=True

uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
clang_check := $(shell sh -c '$(CC) -v 2>&1 | grep -q clang; echo $$?')
ifeq ($(clang_check), 0)
	CFLAGS += -Qunused-arguments
endif
ifneq ($(NO_STACKTRACE), True)
  # Check and include lib-unwind in a portable way
  ifneq ($(uname_S),Darwin)
    # already included on macosx, but need to get the correct flags in other supported platforms.
    ifeq ($(shell pkg-config --exists 'libunwind'; echo $$?), 0)
      LDLIBS += `pkg-config --libs libunwind`
      CFLAGS += `pkg-config --cflags libunwind`
    else
      $(warning "[_] stack-traces disabled. Please install libunwind-dev.")
      CFLAGS += -D NO_STACKTRACE
    endif
  endif
else
  # Stacktraces disabled
  CFLAGS += -D NO_STACKTRACE
endif

# Special configuration for Darwin
ifeq ($(uname_S),Darwin)
	# Remove POSIX flag -lrt
	LDLIBS := $(filter-out -lrt,$(LDLIBS))
endif

all: ../bin/wbtw

linux_round_n_round_45dd.classes.1.o: linux_round_n_round_45dd.classes.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.1.o linux_round_n_round_45dd.classes.1.c

linux_round_n_round_45dd.classes.2.o: linux_round_n_round_45dd.classes.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.2.o linux_round_n_round_45dd.classes.2.c

linux_round_n_round_45dd.classes.3.o: linux_round_n_round_45dd.classes.3.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.3.o linux_round_n_round_45dd.classes.3.c

linux_round_n_round_45dd.classes.4.o: linux_round_n_round_45dd.classes.4.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.4.o linux_round_n_round_45dd.classes.4.c

linux_round_n_round_45dd.classes.5.o: linux_round_n_round_45dd.classes.5.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.5.o linux_round_n_round_45dd.classes.5.c

linux_round_n_round_45dd.classes.6.o: linux_round_n_round_45dd.classes.6.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.6.o linux_round_n_round_45dd.classes.6.c

linux_round_n_round_45dd.classes.7.o: linux_round_n_round_45dd.classes.7.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.7.o linux_round_n_round_45dd.classes.7.c

linux_round_n_round_45dd.classes.8.o: linux_round_n_round_45dd.classes.8.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.8.o linux_round_n_round_45dd.classes.8.c

linux_round_n_round_45dd.classes.9.o: linux_round_n_round_45dd.classes.9.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.classes.9.o linux_round_n_round_45dd.classes.9.c

linux_round_n_round_45dd.main.1.o: linux_round_n_round_45dd.main.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.main.1.o linux_round_n_round_45dd.main.1.c

linux_round_n_round_45dd.sep.1.o: linux_round_n_round_45dd.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.sep.1.o linux_round_n_round_45dd.sep.1.c

rnr__linux_round_n_round.sep.1.o: rnr__linux_round_n_round.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__linux_round_n_round.sep.1.o rnr__linux_round_n_round.sep.1.c

rnr__round_n_round.sep.1.o: rnr__round_n_round.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__round_n_round.sep.1.o rnr__round_n_round.sep.1.c

mnit__mnit_app.sep.1.o: mnit__mnit_app.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__mnit_app.sep.1.o mnit__mnit_app.sep.1.c

app__app_base.sep.1.o: app__app_base.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o app__app_base.sep.1.o app__app_base.sep.1.c

core__posix.sep.1.o: core__posix.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__posix.sep.1.o core__posix.sep.1.c

core__ropes.sep.1.o: core__ropes.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__ropes.sep.1.o core__ropes.sep.1.c

core__ropes.sep.2.o: core__ropes.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__ropes.sep.2.o core__ropes.sep.2.c

core__flat.sep.1.o: core__flat.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__flat.sep.1.o core__flat.sep.1.c

core__flat.sep.2.o: core__flat.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__flat.sep.2.o core__flat.sep.2.c

core__abstract_text.sep.1.o: core__abstract_text.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__abstract_text.sep.1.o core__abstract_text.sep.1.c

core__abstract_text.sep.2.o: core__abstract_text.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__abstract_text.sep.2.o core__abstract_text.sep.2.c

core__native.sep.1.o: core__native.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__native.sep.1.o core__native.sep.1.c

core__kernel.sep.1.o: core__kernel.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__kernel.sep.1.o core__kernel.sep.1.c

core__math.sep.1.o: core__math.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__math.sep.1.o core__math.sep.1.c

core__collection.sep.1.o: core__collection.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__collection.sep.1.o core__collection.sep.1.c

core__range.sep.1.o: core__range.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__range.sep.1.o core__range.sep.1.c

core__abstract_collection.sep.1.o: core__abstract_collection.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__abstract_collection.sep.1.o core__abstract_collection.sep.1.c

core__list.sep.1.o: core__list.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__list.sep.1.o core__list.sep.1.c

core__array.sep.1.o: core__array.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__array.sep.1.o core__array.sep.1.c

core__sorter.sep.1.o: core__sorter.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__sorter.sep.1.o core__sorter.sep.1.c

core__hash_collection.sep.1.o: core__hash_collection.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__hash_collection.sep.1.o core__hash_collection.sep.1.c

core__union_find.sep.1.o: core__union_find.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__union_find.sep.1.o core__union_find.sep.1.c

core__string_search.sep.1.o: core__string_search.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__string_search.sep.1.o core__string_search.sep.1.c

core__environ.sep.1.o: core__environ.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__environ.sep.1.o core__environ.sep.1.c

core__file.sep.1.o: core__file.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__file.sep.1.o core__file.sep.1.c

core__stream.sep.1.o: core__stream.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__stream.sep.1.o core__stream.sep.1.c

core__error.sep.1.o: core__error.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__error.sep.1.o core__error.sep.1.c

core__bytes.sep.1.o: core__bytes.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__bytes.sep.1.o core__bytes.sep.1.c

core__codec_base.sep.1.o: core__codec_base.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__codec_base.sep.1.o core__codec_base.sep.1.c

core__utf8.sep.1.o: core__utf8.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__utf8.sep.1.o core__utf8.sep.1.c

core__time.sep.1.o: core__time.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__time.sep.1.o core__time.sep.1.c

core__gc.sep.1.o: core__gc.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__gc.sep.1.o core__gc.sep.1.c

core__exec.sep.1.o: core__exec.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__exec.sep.1.o core__exec.sep.1.c

core__bitset.sep.1.o: core__bitset.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__bitset.sep.1.o core__bitset.sep.1.c

core__queue.sep.1.o: core__queue.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__queue.sep.1.o core__queue.sep.1.c

core__numeric.sep.1.o: core__numeric.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__numeric.sep.1.o core__numeric.sep.1.c

core__re.sep.1.o: core__re.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__re.sep.1.o core__re.sep.1.c

core__fixed_ints.sep.1.o: core__fixed_ints.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__fixed_ints.sep.1.o core__fixed_ints.sep.1.c

core__fixed_ints.sep.2.o: core__fixed_ints.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o core__fixed_ints.sep.2.o core__fixed_ints.sep.2.c

mnit__display.sep.1.o: mnit__display.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__display.sep.1.o mnit__display.sep.1.c

mnit__input.sep.1.o: mnit__input.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__input.sep.1.o mnit__input.sep.1.c

mnit__assets.sep.1.o: mnit__assets.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__assets.sep.1.o mnit__assets.sep.1.c

mnit__numbers.sep.1.o: mnit__numbers.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__numbers.sep.1.o mnit__numbers.sep.1.c

mnit__mnit_fps.sep.1.o: mnit__mnit_fps.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__mnit_fps.sep.1.o mnit__mnit_fps.sep.1.c

realtime.sep.1.o: realtime.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o realtime.sep.1.o realtime.sep.1.c

rnr__game.sep.1.o: rnr__game.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__game.sep.1.o rnr__game.sep.1.c

rnr__astrals.sep.1.o: rnr__astrals.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__astrals.sep.1.o rnr__astrals.sep.1.c

bucketed_game.sep.1.o: bucketed_game.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o bucketed_game.sep.1.o bucketed_game.sep.1.c

serialization.sep.1.o: serialization.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o serialization.sep.1.o serialization.sep.1.c

counter.sep.1.o: counter.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o counter.sep.1.o counter.sep.1.c

poset.sep.1.o: poset.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o poset.sep.1.o poset.sep.1.c

rnr__building.sep.1.o: rnr__building.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__building.sep.1.o rnr__building.sep.1.c

rnr__building.sep.2.o: rnr__building.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__building.sep.2.o rnr__building.sep.2.c

rnr__game_base.sep.1.o: rnr__game_base.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__game_base.sep.1.o rnr__game_base.sep.1.c

rnr__progress_listener.sep.1.o: rnr__progress_listener.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__progress_listener.sep.1.o rnr__progress_listener.sep.1.c

rnr__lib_addons.sep.1.o: rnr__lib_addons.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__lib_addons.sep.1.o rnr__lib_addons.sep.1.c

performance_analysis.sep.1.o: performance_analysis.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o performance_analysis.sep.1.o performance_analysis.sep.1.c

rnr__nations.sep.1.o: rnr__nations.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__nations.sep.1.o rnr__nations.sep.1.c

rnr__resources.sep.1.o: rnr__resources.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__resources.sep.1.o rnr__resources.sep.1.c

more_collections.sep.1.o: more_collections.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o more_collections.sep.1.o more_collections.sep.1.c

rnr__entities.sep.1.o: rnr__entities.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__entities.sep.1.o rnr__entities.sep.1.c

rnr__entities.sep.2.o: rnr__entities.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__entities.sep.2.o rnr__entities.sep.2.c

rnr__move_graph.sep.1.o: rnr__move_graph.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__move_graph.sep.1.o rnr__move_graph.sep.1.c

rnr__walkable.sep.1.o: rnr__walkable.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__walkable.sep.1.o rnr__walkable.sep.1.c

rnr__move_base.sep.1.o: rnr__move_base.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__move_base.sep.1.o rnr__move_base.sep.1.c

a_star.sep.1.o: a_star.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o a_star.sep.1.o a_star.sep.1.c

rnr__flyable.sep.1.o: rnr__flyable.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__flyable.sep.1.o rnr__flyable.sep.1.c

rnr__glidable.sep.1.o: rnr__glidable.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__glidable.sep.1.o rnr__glidable.sep.1.c

rnr__orbitable.sep.1.o: rnr__orbitable.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__orbitable.sep.1.o rnr__orbitable.sep.1.c

rnr__saucable.sep.1.o: rnr__saucable.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__saucable.sep.1.o rnr__saucable.sep.1.c

rnr__line_of_sight.sep.1.o: rnr__line_of_sight.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__line_of_sight.sep.1.o rnr__line_of_sight.sep.1.c

pthreads.sep.1.o: pthreads.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o pthreads.sep.1.o pthreads.sep.1.c

pthreads__redef_collections.sep.1.o: pthreads__redef_collections.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o pthreads__redef_collections.sep.1.o pthreads__redef_collections.sep.1.c

rnr__building_attack.sep.1.o: rnr__building_attack.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__building_attack.sep.1.o rnr__building_attack.sep.1.c

rnr__fights.sep.1.o: rnr__fights.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__fights.sep.1.o rnr__fights.sep.1.c

rnr__units.sep.1.o: rnr__units.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__units.sep.1.o rnr__units.sep.1.c

rnr__verse_generation.sep.1.o: rnr__verse_generation.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__verse_generation.sep.1.o rnr__verse_generation.sep.1.c

rnr__base.sep.1.o: rnr__base.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__base.sep.1.o rnr__base.sep.1.c

rnr__biomes.sep.1.o: rnr__biomes.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__biomes.sep.1.o rnr__biomes.sep.1.c

rnr__passages.sep.1.o: rnr__passages.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__passages.sep.1.o rnr__passages.sep.1.c

rnr__consolidated_story.sep.1.o: rnr__consolidated_story.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__consolidated_story.sep.1.o rnr__consolidated_story.sep.1.c

rnr__more_biomes_generators.sep.1.o: rnr__more_biomes_generators.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__more_biomes_generators.sep.1.o rnr__more_biomes_generators.sep.1.c

rnr__more_layout_generators.sep.1.o: rnr__more_layout_generators.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__more_layout_generators.sep.1.o rnr__more_layout_generators.sep.1.c

rnr__spyglass.sep.1.o: rnr__spyglass.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__spyglass.sep.1.o rnr__spyglass.sep.1.c

rnr__colonies.sep.1.o: rnr__colonies.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__colonies.sep.1.o rnr__colonies.sep.1.c

rnr__colonies.sep.2.o: rnr__colonies.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__colonies.sep.2.o rnr__colonies.sep.2.c

rnr__transports.sep.1.o: rnr__transports.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__transports.sep.1.o rnr__transports.sep.1.c

rnr__weapons.sep.1.o: rnr__weapons.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__weapons.sep.1.o rnr__weapons.sep.1.c

rnr__applicable_items.sep.1.o: rnr__applicable_items.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__applicable_items.sep.1.o rnr__applicable_items.sep.1.c

rnr__skills.sep.1.o: rnr__skills.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__skills.sep.1.o rnr__skills.sep.1.c

rnr__training.sep.1.o: rnr__training.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__training.sep.1.o rnr__training.sep.1.c

rnr__building_covering.sep.1.o: rnr__building_covering.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__building_covering.sep.1.o rnr__building_covering.sep.1.c

rnr__diplomacy.sep.1.o: rnr__diplomacy.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__diplomacy.sep.1.o rnr__diplomacy.sep.1.c

rnr__building_workers.sep.1.o: rnr__building_workers.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__building_workers.sep.1.o rnr__building_workers.sep.1.c

rnr__animals.sep.1.o: rnr__animals.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__animals.sep.1.o rnr__animals.sep.1.c

rnr__players.sep.1.o: rnr__players.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__players.sep.1.o rnr__players.sep.1.c

rnr__governor.sep.1.o: rnr__governor.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__governor.sep.1.o rnr__governor.sep.1.c

rnr__aida.sep.1.o: rnr__aida.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__aida.sep.1.o rnr__aida.sep.1.c

rnr__hoods.sep.1.o: rnr__hoods.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__hoods.sep.1.o rnr__hoods.sep.1.c

rnr__ai_memory.sep.1.o: rnr__ai_memory.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__ai_memory.sep.1.o rnr__ai_memory.sep.1.c

rnr__population.sep.1.o: rnr__population.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__population.sep.1.o rnr__population.sep.1.c

rnr__plan_colony.sep.1.o: rnr__plan_colony.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__plan_colony.sep.1.o rnr__plan_colony.sep.1.c

rnr__plan_colony.sep.2.o: rnr__plan_colony.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__plan_colony.sep.2.o rnr__plan_colony.sep.2.c

ai__backtrack.sep.1.o: ai__backtrack.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o ai__backtrack.sep.1.o ai__backtrack.sep.1.c

rnr__starting_spot.sep.1.o: rnr__starting_spot.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__starting_spot.sep.1.o rnr__starting_spot.sep.1.c

rnr__trading.sep.1.o: rnr__trading.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__trading.sep.1.o rnr__trading.sep.1.c

rnr__plan_population.sep.1.o: rnr__plan_population.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__plan_population.sep.1.o rnr__plan_population.sep.1.c

ai__search.sep.1.o: ai__search.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o ai__search.sep.1.o ai__search.sep.1.c

trees__abstract_tree.sep.1.o: trees__abstract_tree.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o trees__abstract_tree.sep.1.o trees__abstract_tree.sep.1.c

trees__bintree.sep.1.o: trees__bintree.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o trees__bintree.sep.1.o trees__bintree.sep.1.c

trees__rbtree.sep.1.o: trees__rbtree.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o trees__rbtree.sep.1.o trees__rbtree.sep.1.c

rnr__armors.sep.1.o: rnr__armors.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__armors.sep.1.o rnr__armors.sep.1.c

rnr__master_plan.sep.1.o: rnr__master_plan.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__master_plan.sep.1.o rnr__master_plan.sep.1.c

rnr__breathing.sep.1.o: rnr__breathing.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__breathing.sep.1.o rnr__breathing.sep.1.c

rnr__nature.sep.1.o: rnr__nature.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__nature.sep.1.o rnr__nature.sep.1.c

rnr__falling.sep.1.o: rnr__falling.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__falling.sep.1.o rnr__falling.sep.1.c

rnr__fog_of_war.sep.1.o: rnr__fog_of_war.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__fog_of_war.sep.1.o rnr__fog_of_war.sep.1.c

rnr__recruit_army.sep.1.o: rnr__recruit_army.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__recruit_army.sep.1.o rnr__recruit_army.sep.1.c

rnr__farm.sep.1.o: rnr__farm.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__farm.sep.1.o rnr__farm.sep.1.c

rnr__jetpacking.sep.1.o: rnr__jetpacking.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__jetpacking.sep.1.o rnr__jetpacking.sep.1.c

rnr__gates.sep.1.o: rnr__gates.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__gates.sep.1.o rnr__gates.sep.1.c

rnr__nukes.sep.1.o: rnr__nukes.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__nukes.sep.1.o rnr__nukes.sep.1.c

rnr__portable_passages.sep.1.o: rnr__portable_passages.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__portable_passages.sep.1.o rnr__portable_passages.sep.1.c

rnr__watch_tower.sep.1.o: rnr__watch_tower.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__watch_tower.sep.1.o rnr__watch_tower.sep.1.c

rnr__nation_color.sep.1.o: rnr__nation_color.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__nation_color.sep.1.o rnr__nation_color.sep.1.c

colors.sep.1.o: colors.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o colors.sep.1.o colors.sep.1.c

rnr__standard.sep.1.o: rnr__standard.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__standard.sep.1.o rnr__standard.sep.1.c

rnr__healing.sep.1.o: rnr__healing.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__healing.sep.1.o rnr__healing.sep.1.c

rnr__gathering.sep.1.o: rnr__gathering.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__gathering.sep.1.o rnr__gathering.sep.1.c

rnr__airports.sep.1.o: rnr__airports.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__airports.sep.1.o rnr__airports.sep.1.c

rnr__satellites.sep.1.o: rnr__satellites.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__satellites.sep.1.o rnr__satellites.sep.1.c

rnr__artillery.sep.1.o: rnr__artillery.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__artillery.sep.1.o rnr__artillery.sep.1.c

rnr__shared_sight.sep.1.o: rnr__shared_sight.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__shared_sight.sep.1.o rnr__shared_sight.sep.1.c

rnr__camp.sep.1.o: rnr__camp.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__camp.sep.1.o rnr__camp.sep.1.c

rnr__fire.sep.1.o: rnr__fire.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__fire.sep.1.o rnr__fire.sep.1.c

rnr__client.sep.1.o: rnr__client.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__client.sep.1.o rnr__client.sep.1.c

binary__serialization.sep.1.o: binary__serialization.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o binary__serialization.sep.1.o binary__serialization.sep.1.c

serialization__caching.sep.1.o: serialization__caching.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o serialization__caching.sep.1.o serialization__caching.sep.1.c

serialization__engine_tools.sep.1.o: serialization__engine_tools.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o serialization__engine_tools.sep.1.o serialization__engine_tools.sep.1.c

binary.sep.1.o: binary.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o binary.sep.1.o binary.sep.1.c

rnr__event_statistics.sep.1.o: rnr__event_statistics.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__event_statistics.sep.1.o rnr__event_statistics.sep.1.c

rnr__saving.sep.1.o: rnr__saving.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__saving.sep.1.o rnr__saving.sep.1.c

rnr__version.sep.1.o: rnr__version.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__version.sep.1.o rnr__version.sep.1.c

rnr__assets.sep.1.o: rnr__assets.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__assets.sep.1.o rnr__assets.sep.1.c

rnr__round_n_round_story.sep.1.o: rnr__round_n_round_story.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__round_n_round_story.sep.1.o rnr__round_n_round_story.sep.1.c

rnr__round_n_round_story.sep.2.o: rnr__round_n_round_story.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__round_n_round_story.sep.2.o rnr__round_n_round_story.sep.2.c

rnr__round_n_round_story.sep.3.o: rnr__round_n_round_story.sep.3.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__round_n_round_story.sep.3.o rnr__round_n_round_story.sep.3.c

rnr__round_n_round_story.sep.4.o: rnr__round_n_round_story.sep.4.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__round_n_round_story.sep.4.o rnr__round_n_round_story.sep.4.c

rnr__sprites.sep.1.o: rnr__sprites.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__sprites.sep.1.o rnr__sprites.sep.1.c

mnit__opengles1.sep.1.o: mnit__opengles1.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__opengles1.sep.1.o mnit__opengles1.sep.1.c

rnr__drawing.sep.1.o: rnr__drawing.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__drawing.sep.1.o rnr__drawing.sep.1.c

mnit__image_set.sep.1.o: mnit__image_set.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__image_set.sep.1.o mnit__image_set.sep.1.c

rnr__planets.sep.1.o: rnr__planets.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__planets.sep.1.o rnr__planets.sep.1.c

rnr__lib.sep.1.o: rnr__lib.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__lib.sep.1.o rnr__lib.sep.1.c

mnit__pretty.sep.1.o: mnit__pretty.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__pretty.sep.1.o mnit__pretty.sep.1.c

mnit__controls.sep.1.o: mnit__controls.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__controls.sep.1.o mnit__controls.sep.1.c

geometry__points_and_lines.sep.1.o: geometry__points_and_lines.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o geometry__points_and_lines.sep.1.o geometry__points_and_lines.sep.1.c

geometry__boxes.sep.1.o: geometry__boxes.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o geometry__boxes.sep.1.o geometry__boxes.sep.1.c

geometry__angles.sep.1.o: geometry__angles.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o geometry__angles.sep.1.o geometry__angles.sep.1.c

mnit__tileset.sep.1.o: mnit__tileset.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__tileset.sep.1.o mnit__tileset.sep.1.c

rnr__settings.sep.1.o: rnr__settings.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__settings.sep.1.o rnr__settings.sep.1.c

app__data_store.sep.1.o: app__data_store.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o app__data_store.sep.1.o app__data_store.sep.1.c

rnr__services.sep.1.o: rnr__services.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__services.sep.1.o rnr__services.sep.1.c

rnr__network.sep.1.o: rnr__network.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__network.sep.1.o rnr__network.sep.1.c

socket.sep.1.o: socket.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o socket.sep.1.o socket.sep.1.c

socket__socket_c.sep.1.o: socket__socket_c.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o socket__socket_c.sep.1.o socket__socket_c.sep.1.c

pthreads__concurrent_collections.sep.1.o: pthreads__concurrent_collections.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o pthreads__concurrent_collections.sep.1.o pthreads__concurrent_collections.sep.1.c

rnr__messages.sep.1.o: rnr__messages.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__messages.sep.1.o rnr__messages.sep.1.c

rnr__common_server.sep.1.o: rnr__common_server.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__common_server.sep.1.o rnr__common_server.sep.1.c

rnr__thin_additions.sep.1.o: rnr__thin_additions.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__thin_additions.sep.1.o rnr__thin_additions.sep.1.c

rnr__splash_screen.sep.1.o: rnr__splash_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__splash_screen.sep.1.o rnr__splash_screen.sep.1.c

rnr__splash.sep.1.o: rnr__splash.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__splash.sep.1.o rnr__splash.sep.1.c

rnr__drawing_addons.sep.1.o: rnr__drawing_addons.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__drawing_addons.sep.1.o rnr__drawing_addons.sep.1.c

rnr__main_menu_screen.sep.1.o: rnr__main_menu_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__main_menu_screen.sep.1.o rnr__main_menu_screen.sep.1.c

rnr__save_slots.sep.1.o: rnr__save_slots.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__save_slots.sep.1.o rnr__save_slots.sep.1.c

rnr__shared_controls.sep.1.o: rnr__shared_controls.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__shared_controls.sep.1.o rnr__shared_controls.sep.1.c

rnr__falling_box.sep.1.o: rnr__falling_box.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__falling_box.sep.1.o rnr__falling_box.sep.1.c

rnr__visibles.sep.1.o: rnr__visibles.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__visibles.sep.1.o rnr__visibles.sep.1.c

rnr__visibles.sep.2.o: rnr__visibles.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__visibles.sep.2.o rnr__visibles.sep.2.c

rnr__visibles.sep.3.o: rnr__visibles.sep.3.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__visibles.sep.3.o rnr__visibles.sep.3.c

rnr__draw_specials.sep.1.o: rnr__draw_specials.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__draw_specials.sep.1.o rnr__draw_specials.sep.1.c

rnr__nebula.sep.1.o: rnr__nebula.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__nebula.sep.1.o rnr__nebula.sep.1.c

noise.sep.1.o: noise.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o noise.sep.1.o noise.sep.1.c

rnr__opulent_text.sep.1.o: rnr__opulent_text.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__opulent_text.sep.1.o rnr__opulent_text.sep.1.c

rnr__lpc.sep.1.o: rnr__lpc.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__lpc.sep.1.o rnr__lpc.sep.1.c

rnr__world_screen.sep.1.o: rnr__world_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__world_screen.sep.1.o rnr__world_screen.sep.1.c

rnr__visible_orders.sep.1.o: rnr__visible_orders.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__visible_orders.sep.1.o rnr__visible_orders.sep.1.c

rnr__stars.sep.1.o: rnr__stars.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__stars.sep.1.o rnr__stars.sep.1.c

rnr__popups.sep.1.o: rnr__popups.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__popups.sep.1.o rnr__popups.sep.1.c

rnr__game_concepts.sep.1.o: rnr__game_concepts.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__game_concepts.sep.1.o rnr__game_concepts.sep.1.c

rnr__hints.sep.1.o: rnr__hints.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__hints.sep.1.o rnr__hints.sep.1.c

rnr__particles.sep.1.o: rnr__particles.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__particles.sep.1.o rnr__particles.sep.1.c

rnr__events_list.sep.1.o: rnr__events_list.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__events_list.sep.1.o rnr__events_list.sep.1.c

rnr__group_selection.sep.1.o: rnr__group_selection.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__group_selection.sep.1.o rnr__group_selection.sep.1.c

rnr__planet_menu.sep.1.o: rnr__planet_menu.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__planet_menu.sep.1.o rnr__planet_menu.sep.1.c

rnr__new_game_screen.sep.1.o: rnr__new_game_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__new_game_screen.sep.1.o rnr__new_game_screen.sep.1.c

rnr__save_game_screen.sep.1.o: rnr__save_game_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__save_game_screen.sep.1.o rnr__save_game_screen.sep.1.c

rnr__load_game_screen.sep.1.o: rnr__load_game_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__load_game_screen.sep.1.o rnr__load_game_screen.sep.1.c

rnr__join_game_screen.sep.1.o: rnr__join_game_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__join_game_screen.sep.1.o rnr__join_game_screen.sep.1.c

rnr__host_game_screen.sep.1.o: rnr__host_game_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__host_game_screen.sep.1.o rnr__host_game_screen.sep.1.c

rnr__options_screen.sep.1.o: rnr__options_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__options_screen.sep.1.o rnr__options_screen.sep.1.c

rnr__play_screen.sep.1.o: rnr__play_screen.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__play_screen.sep.1.o rnr__play_screen.sep.1.c

rnr__play_screen.sep.2.o: rnr__play_screen.sep.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__play_screen.sep.2.o rnr__play_screen.sep.2.c

rnr__play_screen.sep.3.o: rnr__play_screen.sep.3.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__play_screen.sep.3.o rnr__play_screen.sep.3.c

rnr__serialization_support.sep.1.o: rnr__serialization_support.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__serialization_support.sep.1.o rnr__serialization_support.sep.1.c

rnr__test_game.sep.1.o: rnr__test_game.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o rnr__test_game.sep.1.o rnr__test_game.sep.1.c

mnit__linux_app.sep.1.o: mnit__linux_app.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__linux_app.sep.1.o mnit__linux_app.sep.1.c

sdl.sep.1.o: sdl.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o sdl.sep.1.o sdl.sep.1.c

c.sep.1.o: c.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o c.sep.1.o c.sep.1.c

mnit__linux_opengles1.sep.1.o: mnit__linux_opengles1.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__linux_opengles1.sep.1.o mnit__linux_opengles1.sep.1.c

linux.sep.1.o: linux.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux.sep.1.o linux.sep.1.c

mnit__linux_assets.sep.1.o: mnit__linux_assets.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o mnit__linux_assets.sep.1.o mnit__linux_assets.sep.1.c

linux__data_store.sep.1.o: linux__data_store.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux__data_store.sep.1.o linux__data_store.sep.1.c

xdg_basedir.sep.1.o: xdg_basedir.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o xdg_basedir.sep.1.o xdg_basedir.sep.1.c

sqlite3.sep.1.o: sqlite3.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o sqlite3.sep.1.o sqlite3.sep.1.c

sqlite3__native_sqlite3.sep.1.o: sqlite3__native_sqlite3.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o sqlite3__native_sqlite3.sep.1.o sqlite3__native_sqlite3.sep.1.c

json__serialization.sep.1.o: json__serialization.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o json__serialization.sep.1.o json__serialization.sep.1.c

json__static.sep.1.o: json__static.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o json__static.sep.1.o json__static.sep.1.c

json__error.sep.1.o: json__error.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o json__error.sep.1.o json__error.sep.1.c

nitcc_runtime.sep.1.o: nitcc_runtime.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o nitcc_runtime.sep.1.o nitcc_runtime.sep.1.c

json__json_parser.sep.1.o: json__json_parser.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o json__json_parser.sep.1.o json__json_parser.sep.1.c

json__json_lexer.sep.1.o: json__json_lexer.sep.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o json__json_lexer.sep.1.o json__json_lexer.sep.1.c

linux_round_n_round_45dd.types.1.o: linux_round_n_round_45dd.types.1.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.1.o linux_round_n_round_45dd.types.1.c

linux_round_n_round_45dd.types.2.o: linux_round_n_round_45dd.types.2.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.2.o linux_round_n_round_45dd.types.2.c

linux_round_n_round_45dd.types.3.o: linux_round_n_round_45dd.types.3.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.3.o linux_round_n_round_45dd.types.3.c

linux_round_n_round_45dd.types.4.o: linux_round_n_round_45dd.types.4.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.4.o linux_round_n_round_45dd.types.4.c

linux_round_n_round_45dd.types.5.o: linux_round_n_round_45dd.types.5.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.5.o linux_round_n_round_45dd.types.5.c

linux_round_n_round_45dd.types.6.o: linux_round_n_round_45dd.types.6.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.6.o linux_round_n_round_45dd.types.6.c

linux_round_n_round_45dd.types.7.o: linux_round_n_round_45dd.types.7.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.7.o linux_round_n_round_45dd.types.7.c

linux_round_n_round_45dd.types.8.o: linux_round_n_round_45dd.types.8.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.8.o linux_round_n_round_45dd.types.8.c

linux_round_n_round_45dd.types.9.o: linux_round_n_round_45dd.types.9.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.9.o linux_round_n_round_45dd.types.9.c

linux_round_n_round_45dd.types.10.o: linux_round_n_round_45dd.types.10.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.10.o linux_round_n_round_45dd.types.10.c

linux_round_n_round_45dd.types.11.o: linux_round_n_round_45dd.types.11.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.11.o linux_round_n_round_45dd.types.11.c

linux_round_n_round_45dd.types.12.o: linux_round_n_round_45dd.types.12.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.12.o linux_round_n_round_45dd.types.12.c

linux_round_n_round_45dd.types.13.o: linux_round_n_round_45dd.types.13.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.13.o linux_round_n_round_45dd.types.13.c

linux_round_n_round_45dd.types.14.o: linux_round_n_round_45dd.types.14.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.14.o linux_round_n_round_45dd.types.14.c

linux_round_n_round_45dd.types.15.o: linux_round_n_round_45dd.types.15.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.15.o linux_round_n_round_45dd.types.15.c

linux_round_n_round_45dd.types.16.o: linux_round_n_round_45dd.types.16.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.16.o linux_round_n_round_45dd.types.16.c

linux_round_n_round_45dd.types.17.o: linux_round_n_round_45dd.types.17.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.17.o linux_round_n_round_45dd.types.17.c

linux_round_n_round_45dd.types.18.o: linux_round_n_round_45dd.types.18.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.18.o linux_round_n_round_45dd.types.18.c

linux_round_n_round_45dd.types.19.o: linux_round_n_round_45dd.types.19.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.19.o linux_round_n_round_45dd.types.19.c

linux_round_n_round_45dd.types.20.o: linux_round_n_round_45dd.types.20.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.20.o linux_round_n_round_45dd.types.20.c

linux_round_n_round_45dd.types.21.o: linux_round_n_round_45dd.types.21.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.21.o linux_round_n_round_45dd.types.21.c

linux_round_n_round_45dd.types.22.o: linux_round_n_round_45dd.types.22.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.22.o linux_round_n_round_45dd.types.22.c

linux_round_n_round_45dd.types.23.o: linux_round_n_round_45dd.types.23.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.23.o linux_round_n_round_45dd.types.23.c

linux_round_n_round_45dd.types.24.o: linux_round_n_round_45dd.types.24.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.24.o linux_round_n_round_45dd.types.24.c

linux_round_n_round_45dd.types.25.o: linux_round_n_round_45dd.types.25.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.25.o linux_round_n_round_45dd.types.25.c

linux_round_n_round_45dd.types.26.o: linux_round_n_round_45dd.types.26.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.26.o linux_round_n_round_45dd.types.26.c

linux_round_n_round_45dd.types.27.o: linux_round_n_round_45dd.types.27.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.27.o linux_round_n_round_45dd.types.27.c

linux_round_n_round_45dd.types.28.o: linux_round_n_round_45dd.types.28.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.28.o linux_round_n_round_45dd.types.28.c

linux_round_n_round_45dd.types.29.o: linux_round_n_round_45dd.types.29.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.29.o linux_round_n_round_45dd.types.29.c

linux_round_n_round_45dd.types.30.o: linux_round_n_round_45dd.types.30.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.30.o linux_round_n_round_45dd.types.30.c

linux_round_n_round_45dd.types.31.o: linux_round_n_round_45dd.types.31.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.31.o linux_round_n_round_45dd.types.31.c

linux_round_n_round_45dd.types.32.o: linux_round_n_round_45dd.types.32.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.32.o linux_round_n_round_45dd.types.32.c

linux_round_n_round_45dd.types.33.o: linux_round_n_round_45dd.types.33.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.33.o linux_round_n_round_45dd.types.33.c

linux_round_n_round_45dd.types.34.o: linux_round_n_round_45dd.types.34.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.34.o linux_round_n_round_45dd.types.34.c

linux_round_n_round_45dd.types.35.o: linux_round_n_round_45dd.types.35.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.35.o linux_round_n_round_45dd.types.35.c

linux_round_n_round_45dd.types.36.o: linux_round_n_round_45dd.types.36.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.36.o linux_round_n_round_45dd.types.36.c

linux_round_n_round_45dd.types.37.o: linux_round_n_round_45dd.types.37.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.37.o linux_round_n_round_45dd.types.37.c

linux_round_n_round_45dd.types.38.o: linux_round_n_round_45dd.types.38.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.38.o linux_round_n_round_45dd.types.38.c

linux_round_n_round_45dd.types.39.o: linux_round_n_round_45dd.types.39.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.39.o linux_round_n_round_45dd.types.39.c

linux_round_n_round_45dd.types.40.o: linux_round_n_round_45dd.types.40.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.40.o linux_round_n_round_45dd.types.40.c

linux_round_n_round_45dd.types.41.o: linux_round_n_round_45dd.types.41.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.41.o linux_round_n_round_45dd.types.41.c

linux_round_n_round_45dd.types.42.o: linux_round_n_round_45dd.types.42.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.42.o linux_round_n_round_45dd.types.42.c

linux_round_n_round_45dd.types.43.o: linux_round_n_round_45dd.types.43.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.43.o linux_round_n_round_45dd.types.43.c

linux_round_n_round_45dd.types.44.o: linux_round_n_round_45dd.types.44.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.44.o linux_round_n_round_45dd.types.44.c

linux_round_n_round_45dd.types.45.o: linux_round_n_round_45dd.types.45.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.45.o linux_round_n_round_45dd.types.45.c

linux_round_n_round_45dd.types.46.o: linux_round_n_round_45dd.types.46.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.46.o linux_round_n_round_45dd.types.46.c

linux_round_n_round_45dd.types.47.o: linux_round_n_round_45dd.types.47.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.47.o linux_round_n_round_45dd.types.47.c

linux_round_n_round_45dd.types.48.o: linux_round_n_round_45dd.types.48.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.48.o linux_round_n_round_45dd.types.48.c

linux_round_n_round_45dd.types.49.o: linux_round_n_round_45dd.types.49.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.49.o linux_round_n_round_45dd.types.49.c

linux_round_n_round_45dd.types.50.o: linux_round_n_round_45dd.types.50.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.50.o linux_round_n_round_45dd.types.50.c

linux_round_n_round_45dd.types.51.o: linux_round_n_round_45dd.types.51.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.51.o linux_round_n_round_45dd.types.51.c

linux_round_n_round_45dd.types.52.o: linux_round_n_round_45dd.types.52.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.52.o linux_round_n_round_45dd.types.52.c

linux_round_n_round_45dd.types.53.o: linux_round_n_round_45dd.types.53.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.53.o linux_round_n_round_45dd.types.53.c

linux_round_n_round_45dd.types.54.o: linux_round_n_round_45dd.types.54.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.54.o linux_round_n_round_45dd.types.54.c

linux_round_n_round_45dd.types.55.o: linux_round_n_round_45dd.types.55.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.55.o linux_round_n_round_45dd.types.55.c

linux_round_n_round_45dd.types.56.o: linux_round_n_round_45dd.types.56.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.56.o linux_round_n_round_45dd.types.56.c

linux_round_n_round_45dd.types.57.o: linux_round_n_round_45dd.types.57.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.57.o linux_round_n_round_45dd.types.57.c

linux_round_n_round_45dd.types.58.o: linux_round_n_round_45dd.types.58.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.58.o linux_round_n_round_45dd.types.58.c

linux_round_n_round_45dd.types.59.o: linux_round_n_round_45dd.types.59.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.59.o linux_round_n_round_45dd.types.59.c

linux_round_n_round_45dd.types.60.o: linux_round_n_round_45dd.types.60.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.60.o linux_round_n_round_45dd.types.60.c

linux_round_n_round_45dd.types.61.o: linux_round_n_round_45dd.types.61.c
	$(CC) $(CFLAGS) $(CINCL) -c -o linux_round_n_round_45dd.types.61.o linux_round_n_round_45dd.types.61.c

# does pkg-config exists?
ifneq ($(shell which pkg-config >/dev/null; echo $$?), 0)
$(error "Command `pkg-config` not found. Please install it")
endif
# Check for library bdw-gc
ifneq ($(shell pkg-config --exists 'bdw-gc'; echo $$?), 0)
$(error "pkg-config: package bdw-gc is not found.")
endif
# Check for library bdw-gc
ifneq ($(shell pkg-config --exists 'bdw-gc'; echo $$?), 0)
$(error "pkg-config: package bdw-gc is not found.")
endif
# Check for library bdw-gc
ifneq ($(shell pkg-config --exists 'bdw-gc'; echo $$?), 0)
$(error "pkg-config: package bdw-gc is not found.")
endif
# Check for library glesv1_cm
ifneq ($(shell pkg-config --exists 'glesv1_cm'; echo $$?), 0)
$(error "pkg-config: package glesv1_cm is not found.")
endif
# Check for library egl
ifneq ($(shell pkg-config --exists 'egl'; echo $$?), 0)
$(error "pkg-config: package egl is not found.")
endif
# Check for library glesv1_cm
ifneq ($(shell pkg-config --exists 'glesv1_cm'; echo $$?), 0)
$(error "pkg-config: package glesv1_cm is not found.")
endif
# Check for library egl
ifneq ($(shell pkg-config --exists 'egl'; echo $$?), 0)
$(error "pkg-config: package egl is not found.")
endif
# Check for library x11
ifneq ($(shell pkg-config --exists 'x11'; echo $$?), 0)
$(error "pkg-config: package x11 is not found.")
endif
# Check for library x11
ifneq ($(shell pkg-config --exists 'x11'; echo $$?), 0)
$(error "pkg-config: package x11 is not found.")
endif
# Check for library libxdg-basedir
ifneq ($(shell pkg-config --exists 'libxdg-basedir'; echo $$?), 0)
$(error "pkg-config: package libxdg-basedir is not found.")
endif
# Check for library libxdg-basedir
ifneq ($(shell pkg-config --exists 'libxdg-basedir'; echo $$?), 0)
$(error "pkg-config: package libxdg-basedir is not found.")
endif
# Check for library sqlite3
ifneq ($(shell pkg-config --exists 'sqlite3'; echo $$?), 0)
$(error "pkg-config: package sqlite3 is not found.")
endif
# Check for library sqlite3
ifneq ($(shell pkg-config --exists 'sqlite3'; echo $$?), 0)
$(error "pkg-config: package sqlite3 is not found.")
endif
c_functions_hash.extern.o: c_functions_hash.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o c_functions_hash.extern.o c_functions_hash.c

gc_chooser.extern.o: gc_chooser.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function -DWITH_LIBGC `pkg-config --cflags bdw-gc` -c -o gc_chooser.extern.o gc_chooser.c

core__flat._ffi.extern.o: core__flat._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__flat._ffi.extern.o core__flat._ffi.c

core__flat._nitni.extern.o: core__flat._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__flat._nitni.extern.o core__flat._nitni.c

core__abstract_text._ffi.extern.o: core__abstract_text._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__abstract_text._ffi.extern.o core__abstract_text._ffi.c

core__abstract_text._nitni.extern.o: core__abstract_text._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__abstract_text._nitni.extern.o core__abstract_text._nitni.c

core__native._ffi.extern.o: core__native._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__native._ffi.extern.o core__native._ffi.c

core__native._nitni.extern.o: core__native._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__native._nitni.extern.o core__native._nitni.c

core__kernel._ffi.extern.o: core__kernel._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__kernel._ffi.extern.o core__kernel._ffi.c

core__kernel._nitni.extern.o: core__kernel._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__kernel._nitni.extern.o core__kernel._nitni.c

core__math._ffi.extern.o: core__math._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__math._ffi.extern.o core__math._ffi.c

core__math._nitni.extern.o: core__math._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__math._nitni.extern.o core__math._nitni.c

core__environ._ffi.extern.o: core__environ._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__environ._ffi.extern.o core__environ._ffi.c

core__environ._nitni.extern.o: core__environ._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__environ._nitni.extern.o core__environ._nitni.c

core__file._ffi.extern.o: core__file._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__file._ffi.extern.o core__file._ffi.c

core__file._nitni.extern.o: core__file._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__file._nitni.extern.o core__file._nitni.c

core__time._ffi.extern.o: core__time._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__time._ffi.extern.o core__time._ffi.c

core__time._nitni.extern.o: core__time._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__time._nitni.extern.o core__time._nitni.c

core__exec._ffi.extern.o: core__exec._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__exec._ffi.extern.o core__exec._ffi.c

core__exec._nitni.extern.o: core__exec._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__exec._nitni.extern.o core__exec._nitni.c

core__re._ffi.extern.o: core__re._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__re._ffi.extern.o core__re._ffi.c

core__re._nitni.extern.o: core__re._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__re._nitni.extern.o core__re._nitni.c

core__fixed_ints._ffi.extern.o: core__fixed_ints._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__fixed_ints._ffi.extern.o core__fixed_ints._ffi.c

core__fixed_ints._nitni.extern.o: core__fixed_ints._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o core__fixed_ints._nitni.extern.o core__fixed_ints._nitni.c

realtime._ffi.extern.o: realtime._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o realtime._ffi.extern.o realtime._ffi.c

realtime._nitni.extern.o: realtime._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o realtime._nitni.extern.o realtime._nitni.c

pthreads._ffi.extern.o: pthreads._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function -pthread `pkg-config --cflags bdw-gc` -c -o pthreads._ffi.extern.o pthreads._ffi.c

pthreads._nitni.extern.o: pthreads._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function -pthread `pkg-config --cflags bdw-gc` -c -o pthreads._nitni.extern.o pthreads._nitni.c

binary._ffi.extern.o: binary._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o binary._ffi.extern.o binary._ffi.c

binary._nitni.extern.o: binary._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o binary._nitni.extern.o binary._nitni.c

mnit__opengles1._ffi.extern.o: mnit__opengles1._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags glesv1_cm egl` -c -o mnit__opengles1._ffi.extern.o mnit__opengles1._ffi.c

mnit__opengles1._nitni.extern.o: mnit__opengles1._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags glesv1_cm egl` -c -o mnit__opengles1._nitni.extern.o mnit__opengles1._nitni.c

rnr__lib._ffi.extern.o: rnr__lib._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__lib._ffi.extern.o rnr__lib._ffi.c

rnr__lib._nitni.extern.o: rnr__lib._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__lib._nitni.extern.o rnr__lib._nitni.c

socket__socket_c._ffi.extern.o: socket__socket_c._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o socket__socket_c._ffi.extern.o socket__socket_c._ffi.c

socket__socket_c._nitni.extern.o: socket__socket_c._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o socket__socket_c._nitni.extern.o socket__socket_c._nitni.c

rnr__draw_specials._ffi.extern.o: rnr__draw_specials._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__draw_specials._ffi.extern.o rnr__draw_specials._ffi.c

rnr__draw_specials._nitni.extern.o: rnr__draw_specials._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__draw_specials._nitni.extern.o rnr__draw_specials._nitni.c

rnr__nebula._ffi.extern.o: rnr__nebula._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__nebula._ffi.extern.o rnr__nebula._ffi.c

rnr__nebula._nitni.extern.o: rnr__nebula._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function   -c -o rnr__nebula._nitni.extern.o rnr__nebula._nitni.c

sdl._ffi.extern.o: sdl._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT   -c -o sdl._ffi.extern.o sdl._ffi.c

sdl._nitni.extern.o: sdl._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT   -c -o sdl._nitni.extern.o sdl._nitni.c

mnit__linux_opengles1._ffi.extern.o: mnit__linux_opengles1._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags x11` -c -o mnit__linux_opengles1._ffi.extern.o mnit__linux_opengles1._ffi.c

mnit__linux_opengles1._nitni.extern.o: mnit__linux_opengles1._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags x11` -c -o mnit__linux_opengles1._nitni.extern.o mnit__linux_opengles1._nitni.c

xdg_basedir._ffi.extern.o: xdg_basedir._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags libxdg-basedir` -c -o xdg_basedir._ffi.extern.o xdg_basedir._ffi.c

xdg_basedir._nitni.extern.o: xdg_basedir._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags libxdg-basedir` -c -o xdg_basedir._nitni.extern.o xdg_basedir._nitni.c

sqlite3__native_sqlite3._ffi.extern.o: sqlite3__native_sqlite3._ffi.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags sqlite3` -c -o sqlite3__native_sqlite3._ffi.extern.o sqlite3__native_sqlite3._ffi.c

sqlite3__native_sqlite3._nitni.extern.o: sqlite3__native_sqlite3._nitni.c
	$(CC) $(CFLAGS) -Wall -Wno-unused-function  `pkg-config --cflags sqlite3` -c -o sqlite3__native_sqlite3._nitni.extern.o sqlite3__native_sqlite3._nitni.c

../bin/wbtw: linux_round_n_round_45dd.classes.1.o linux_round_n_round_45dd.classes.2.o linux_round_n_round_45dd.classes.3.o linux_round_n_round_45dd.classes.4.o linux_round_n_round_45dd.classes.5.o linux_round_n_round_45dd.classes.6.o linux_round_n_round_45dd.classes.7.o linux_round_n_round_45dd.classes.8.o linux_round_n_round_45dd.classes.9.o linux_round_n_round_45dd.main.1.o linux_round_n_round_45dd.sep.1.o rnr__linux_round_n_round.sep.1.o rnr__round_n_round.sep.1.o mnit__mnit_app.sep.1.o app__app_base.sep.1.o core__posix.sep.1.o core__ropes.sep.1.o core__ropes.sep.2.o core__flat.sep.1.o core__flat.sep.2.o core__abstract_text.sep.1.o core__abstract_text.sep.2.o core__native.sep.1.o core__kernel.sep.1.o core__math.sep.1.o core__collection.sep.1.o core__range.sep.1.o core__abstract_collection.sep.1.o core__list.sep.1.o core__array.sep.1.o core__sorter.sep.1.o core__hash_collection.sep.1.o core__union_find.sep.1.o core__string_search.sep.1.o core__environ.sep.1.o core__file.sep.1.o core__stream.sep.1.o core__error.sep.1.o core__bytes.sep.1.o core__codec_base.sep.1.o core__utf8.sep.1.o core__time.sep.1.o core__gc.sep.1.o core__exec.sep.1.o core__bitset.sep.1.o core__queue.sep.1.o core__numeric.sep.1.o core__re.sep.1.o core__fixed_ints.sep.1.o core__fixed_ints.sep.2.o mnit__display.sep.1.o mnit__input.sep.1.o mnit__assets.sep.1.o mnit__numbers.sep.1.o mnit__mnit_fps.sep.1.o realtime.sep.1.o rnr__game.sep.1.o rnr__astrals.sep.1.o bucketed_game.sep.1.o serialization.sep.1.o counter.sep.1.o poset.sep.1.o rnr__building.sep.1.o rnr__building.sep.2.o rnr__game_base.sep.1.o rnr__progress_listener.sep.1.o rnr__lib_addons.sep.1.o performance_analysis.sep.1.o rnr__nations.sep.1.o rnr__resources.sep.1.o more_collections.sep.1.o rnr__entities.sep.1.o rnr__entities.sep.2.o rnr__move_graph.sep.1.o rnr__walkable.sep.1.o rnr__move_base.sep.1.o a_star.sep.1.o rnr__flyable.sep.1.o rnr__glidable.sep.1.o rnr__orbitable.sep.1.o rnr__saucable.sep.1.o rnr__line_of_sight.sep.1.o pthreads.sep.1.o pthreads__redef_collections.sep.1.o rnr__building_attack.sep.1.o rnr__fights.sep.1.o rnr__units.sep.1.o rnr__verse_generation.sep.1.o rnr__base.sep.1.o rnr__biomes.sep.1.o rnr__passages.sep.1.o rnr__consolidated_story.sep.1.o rnr__more_biomes_generators.sep.1.o rnr__more_layout_generators.sep.1.o rnr__spyglass.sep.1.o rnr__colonies.sep.1.o rnr__colonies.sep.2.o rnr__transports.sep.1.o rnr__weapons.sep.1.o rnr__applicable_items.sep.1.o rnr__skills.sep.1.o rnr__training.sep.1.o rnr__building_covering.sep.1.o rnr__diplomacy.sep.1.o rnr__building_workers.sep.1.o rnr__animals.sep.1.o rnr__players.sep.1.o rnr__governor.sep.1.o rnr__aida.sep.1.o rnr__hoods.sep.1.o rnr__ai_memory.sep.1.o rnr__population.sep.1.o rnr__plan_colony.sep.1.o rnr__plan_colony.sep.2.o ai__backtrack.sep.1.o rnr__starting_spot.sep.1.o rnr__trading.sep.1.o rnr__plan_population.sep.1.o ai__search.sep.1.o trees__abstract_tree.sep.1.o trees__bintree.sep.1.o trees__rbtree.sep.1.o rnr__armors.sep.1.o rnr__master_plan.sep.1.o rnr__breathing.sep.1.o rnr__nature.sep.1.o rnr__falling.sep.1.o rnr__fog_of_war.sep.1.o rnr__recruit_army.sep.1.o rnr__farm.sep.1.o rnr__jetpacking.sep.1.o rnr__gates.sep.1.o rnr__nukes.sep.1.o rnr__portable_passages.sep.1.o rnr__watch_tower.sep.1.o rnr__nation_color.sep.1.o colors.sep.1.o rnr__standard.sep.1.o rnr__healing.sep.1.o rnr__gathering.sep.1.o rnr__airports.sep.1.o rnr__satellites.sep.1.o rnr__artillery.sep.1.o rnr__shared_sight.sep.1.o rnr__camp.sep.1.o rnr__fire.sep.1.o rnr__client.sep.1.o binary__serialization.sep.1.o serialization__caching.sep.1.o serialization__engine_tools.sep.1.o binary.sep.1.o rnr__event_statistics.sep.1.o rnr__saving.sep.1.o rnr__version.sep.1.o rnr__assets.sep.1.o rnr__round_n_round_story.sep.1.o rnr__round_n_round_story.sep.2.o rnr__round_n_round_story.sep.3.o rnr__round_n_round_story.sep.4.o rnr__sprites.sep.1.o mnit__opengles1.sep.1.o rnr__drawing.sep.1.o mnit__image_set.sep.1.o rnr__planets.sep.1.o rnr__lib.sep.1.o mnit__pretty.sep.1.o mnit__controls.sep.1.o geometry__points_and_lines.sep.1.o geometry__boxes.sep.1.o geometry__angles.sep.1.o mnit__tileset.sep.1.o rnr__settings.sep.1.o app__data_store.sep.1.o rnr__services.sep.1.o rnr__network.sep.1.o socket.sep.1.o socket__socket_c.sep.1.o pthreads__concurrent_collections.sep.1.o rnr__messages.sep.1.o rnr__common_server.sep.1.o rnr__thin_additions.sep.1.o rnr__splash_screen.sep.1.o rnr__splash.sep.1.o rnr__drawing_addons.sep.1.o rnr__main_menu_screen.sep.1.o rnr__save_slots.sep.1.o rnr__shared_controls.sep.1.o rnr__falling_box.sep.1.o rnr__visibles.sep.1.o rnr__visibles.sep.2.o rnr__visibles.sep.3.o rnr__draw_specials.sep.1.o rnr__nebula.sep.1.o noise.sep.1.o rnr__opulent_text.sep.1.o rnr__lpc.sep.1.o rnr__world_screen.sep.1.o rnr__visible_orders.sep.1.o rnr__stars.sep.1.o rnr__popups.sep.1.o rnr__game_concepts.sep.1.o rnr__hints.sep.1.o rnr__particles.sep.1.o rnr__events_list.sep.1.o rnr__group_selection.sep.1.o rnr__planet_menu.sep.1.o rnr__new_game_screen.sep.1.o rnr__save_game_screen.sep.1.o rnr__load_game_screen.sep.1.o rnr__join_game_screen.sep.1.o rnr__host_game_screen.sep.1.o rnr__options_screen.sep.1.o rnr__play_screen.sep.1.o rnr__play_screen.sep.2.o rnr__play_screen.sep.3.o rnr__serialization_support.sep.1.o rnr__test_game.sep.1.o mnit__linux_app.sep.1.o sdl.sep.1.o c.sep.1.o mnit__linux_opengles1.sep.1.o linux.sep.1.o mnit__linux_assets.sep.1.o linux__data_store.sep.1.o xdg_basedir.sep.1.o sqlite3.sep.1.o sqlite3__native_sqlite3.sep.1.o json__serialization.sep.1.o json__static.sep.1.o json__error.sep.1.o nitcc_runtime.sep.1.o json__json_parser.sep.1.o json__json_lexer.sep.1.o linux_round_n_round_45dd.types.1.o linux_round_n_round_45dd.types.2.o linux_round_n_round_45dd.types.3.o linux_round_n_round_45dd.types.4.o linux_round_n_round_45dd.types.5.o linux_round_n_round_45dd.types.6.o linux_round_n_round_45dd.types.7.o linux_round_n_round_45dd.types.8.o linux_round_n_round_45dd.types.9.o linux_round_n_round_45dd.types.10.o linux_round_n_round_45dd.types.11.o linux_round_n_round_45dd.types.12.o linux_round_n_round_45dd.types.13.o linux_round_n_round_45dd.types.14.o linux_round_n_round_45dd.types.15.o linux_round_n_round_45dd.types.16.o linux_round_n_round_45dd.types.17.o linux_round_n_round_45dd.types.18.o linux_round_n_round_45dd.types.19.o linux_round_n_round_45dd.types.20.o linux_round_n_round_45dd.types.21.o linux_round_n_round_45dd.types.22.o linux_round_n_round_45dd.types.23.o linux_round_n_round_45dd.types.24.o linux_round_n_round_45dd.types.25.o linux_round_n_round_45dd.types.26.o linux_round_n_round_45dd.types.27.o linux_round_n_round_45dd.types.28.o linux_round_n_round_45dd.types.29.o linux_round_n_round_45dd.types.30.o linux_round_n_round_45dd.types.31.o linux_round_n_round_45dd.types.32.o linux_round_n_round_45dd.types.33.o linux_round_n_round_45dd.types.34.o linux_round_n_round_45dd.types.35.o linux_round_n_round_45dd.types.36.o linux_round_n_round_45dd.types.37.o linux_round_n_round_45dd.types.38.o linux_round_n_round_45dd.types.39.o linux_round_n_round_45dd.types.40.o linux_round_n_round_45dd.types.41.o linux_round_n_round_45dd.types.42.o linux_round_n_round_45dd.types.43.o linux_round_n_round_45dd.types.44.o linux_round_n_round_45dd.types.45.o linux_round_n_round_45dd.types.46.o linux_round_n_round_45dd.types.47.o linux_round_n_round_45dd.types.48.o linux_round_n_round_45dd.types.49.o linux_round_n_round_45dd.types.50.o linux_round_n_round_45dd.types.51.o linux_round_n_round_45dd.types.52.o linux_round_n_round_45dd.types.53.o linux_round_n_round_45dd.types.54.o linux_round_n_round_45dd.types.55.o linux_round_n_round_45dd.types.56.o linux_round_n_round_45dd.types.57.o linux_round_n_round_45dd.types.58.o linux_round_n_round_45dd.types.59.o linux_round_n_round_45dd.types.60.o linux_round_n_round_45dd.types.61.o c_functions_hash.extern.o gc_chooser.extern.o core__flat._ffi.extern.o core__flat._nitni.extern.o core__abstract_text._ffi.extern.o core__abstract_text._nitni.extern.o core__native._ffi.extern.o core__native._nitni.extern.o core__kernel._ffi.extern.o core__kernel._nitni.extern.o core__math._ffi.extern.o core__math._nitni.extern.o core__environ._ffi.extern.o core__environ._nitni.extern.o core__file._ffi.extern.o core__file._nitni.extern.o core__time._ffi.extern.o core__time._nitni.extern.o core__exec._ffi.extern.o core__exec._nitni.extern.o core__re._ffi.extern.o core__re._nitni.extern.o core__fixed_ints._ffi.extern.o core__fixed_ints._nitni.extern.o realtime._ffi.extern.o realtime._nitni.extern.o pthreads._ffi.extern.o pthreads._nitni.extern.o binary._ffi.extern.o binary._nitni.extern.o mnit__opengles1._ffi.extern.o mnit__opengles1._nitni.extern.o rnr__lib._ffi.extern.o rnr__lib._nitni.extern.o socket__socket_c._ffi.extern.o socket__socket_c._nitni.extern.o rnr__draw_specials._ffi.extern.o rnr__draw_specials._nitni.extern.o rnr__nebula._ffi.extern.o rnr__nebula._nitni.extern.o sdl._ffi.extern.o sdl._nitni.extern.o mnit__linux_opengles1._ffi.extern.o mnit__linux_opengles1._nitni.extern.o xdg_basedir._ffi.extern.o xdg_basedir._nitni.extern.o sqlite3__native_sqlite3._ffi.extern.o sqlite3__native_sqlite3._nitni.extern.o
	$(CC) $(LDFLAGS) -o '../bin/wbtw' linux_round_n_round_45dd.classes.1.o linux_round_n_round_45dd.classes.2.o linux_round_n_round_45dd.classes.3.o linux_round_n_round_45dd.classes.4.o linux_round_n_round_45dd.classes.5.o linux_round_n_round_45dd.classes.6.o linux_round_n_round_45dd.classes.7.o linux_round_n_round_45dd.classes.8.o linux_round_n_round_45dd.classes.9.o linux_round_n_round_45dd.main.1.o linux_round_n_round_45dd.sep.1.o rnr__linux_round_n_round.sep.1.o rnr__round_n_round.sep.1.o mnit__mnit_app.sep.1.o app__app_base.sep.1.o core__posix.sep.1.o core__ropes.sep.1.o core__ropes.sep.2.o core__flat.sep.1.o core__flat.sep.2.o core__abstract_text.sep.1.o core__abstract_text.sep.2.o core__native.sep.1.o core__kernel.sep.1.o core__math.sep.1.o core__collection.sep.1.o core__range.sep.1.o core__abstract_collection.sep.1.o core__list.sep.1.o core__array.sep.1.o core__sorter.sep.1.o core__hash_collection.sep.1.o core__union_find.sep.1.o core__string_search.sep.1.o core__environ.sep.1.o core__file.sep.1.o core__stream.sep.1.o core__error.sep.1.o core__bytes.sep.1.o core__codec_base.sep.1.o core__utf8.sep.1.o core__time.sep.1.o core__gc.sep.1.o core__exec.sep.1.o core__bitset.sep.1.o core__queue.sep.1.o core__numeric.sep.1.o core__re.sep.1.o core__fixed_ints.sep.1.o core__fixed_ints.sep.2.o mnit__display.sep.1.o mnit__input.sep.1.o mnit__assets.sep.1.o mnit__numbers.sep.1.o mnit__mnit_fps.sep.1.o realtime.sep.1.o rnr__game.sep.1.o rnr__astrals.sep.1.o bucketed_game.sep.1.o serialization.sep.1.o counter.sep.1.o poset.sep.1.o rnr__building.sep.1.o rnr__building.sep.2.o rnr__game_base.sep.1.o rnr__progress_listener.sep.1.o rnr__lib_addons.sep.1.o performance_analysis.sep.1.o rnr__nations.sep.1.o rnr__resources.sep.1.o more_collections.sep.1.o rnr__entities.sep.1.o rnr__entities.sep.2.o rnr__move_graph.sep.1.o rnr__walkable.sep.1.o rnr__move_base.sep.1.o a_star.sep.1.o rnr__flyable.sep.1.o rnr__glidable.sep.1.o rnr__orbitable.sep.1.o rnr__saucable.sep.1.o rnr__line_of_sight.sep.1.o pthreads.sep.1.o pthreads__redef_collections.sep.1.o rnr__building_attack.sep.1.o rnr__fights.sep.1.o rnr__units.sep.1.o rnr__verse_generation.sep.1.o rnr__base.sep.1.o rnr__biomes.sep.1.o rnr__passages.sep.1.o rnr__consolidated_story.sep.1.o rnr__more_biomes_generators.sep.1.o rnr__more_layout_generators.sep.1.o rnr__spyglass.sep.1.o rnr__colonies.sep.1.o rnr__colonies.sep.2.o rnr__transports.sep.1.o rnr__weapons.sep.1.o rnr__applicable_items.sep.1.o rnr__skills.sep.1.o rnr__training.sep.1.o rnr__building_covering.sep.1.o rnr__diplomacy.sep.1.o rnr__building_workers.sep.1.o rnr__animals.sep.1.o rnr__players.sep.1.o rnr__governor.sep.1.o rnr__aida.sep.1.o rnr__hoods.sep.1.o rnr__ai_memory.sep.1.o rnr__population.sep.1.o rnr__plan_colony.sep.1.o rnr__plan_colony.sep.2.o ai__backtrack.sep.1.o rnr__starting_spot.sep.1.o rnr__trading.sep.1.o rnr__plan_population.sep.1.o ai__search.sep.1.o trees__abstract_tree.sep.1.o trees__bintree.sep.1.o trees__rbtree.sep.1.o rnr__armors.sep.1.o rnr__master_plan.sep.1.o rnr__breathing.sep.1.o rnr__nature.sep.1.o rnr__falling.sep.1.o rnr__fog_of_war.sep.1.o rnr__recruit_army.sep.1.o rnr__farm.sep.1.o rnr__jetpacking.sep.1.o rnr__gates.sep.1.o rnr__nukes.sep.1.o rnr__portable_passages.sep.1.o rnr__watch_tower.sep.1.o rnr__nation_color.sep.1.o colors.sep.1.o rnr__standard.sep.1.o rnr__healing.sep.1.o rnr__gathering.sep.1.o rnr__airports.sep.1.o rnr__satellites.sep.1.o rnr__artillery.sep.1.o rnr__shared_sight.sep.1.o rnr__camp.sep.1.o rnr__fire.sep.1.o rnr__client.sep.1.o binary__serialization.sep.1.o serialization__caching.sep.1.o serialization__engine_tools.sep.1.o binary.sep.1.o rnr__event_statistics.sep.1.o rnr__saving.sep.1.o rnr__version.sep.1.o rnr__assets.sep.1.o rnr__round_n_round_story.sep.1.o rnr__round_n_round_story.sep.2.o rnr__round_n_round_story.sep.3.o rnr__round_n_round_story.sep.4.o rnr__sprites.sep.1.o mnit__opengles1.sep.1.o rnr__drawing.sep.1.o mnit__image_set.sep.1.o rnr__planets.sep.1.o rnr__lib.sep.1.o mnit__pretty.sep.1.o mnit__controls.sep.1.o geometry__points_and_lines.sep.1.o geometry__boxes.sep.1.o geometry__angles.sep.1.o mnit__tileset.sep.1.o rnr__settings.sep.1.o app__data_store.sep.1.o rnr__services.sep.1.o rnr__network.sep.1.o socket.sep.1.o socket__socket_c.sep.1.o pthreads__concurrent_collections.sep.1.o rnr__messages.sep.1.o rnr__common_server.sep.1.o rnr__thin_additions.sep.1.o rnr__splash_screen.sep.1.o rnr__splash.sep.1.o rnr__drawing_addons.sep.1.o rnr__main_menu_screen.sep.1.o rnr__save_slots.sep.1.o rnr__shared_controls.sep.1.o rnr__falling_box.sep.1.o rnr__visibles.sep.1.o rnr__visibles.sep.2.o rnr__visibles.sep.3.o rnr__draw_specials.sep.1.o rnr__nebula.sep.1.o noise.sep.1.o rnr__opulent_text.sep.1.o rnr__lpc.sep.1.o rnr__world_screen.sep.1.o rnr__visible_orders.sep.1.o rnr__stars.sep.1.o rnr__popups.sep.1.o rnr__game_concepts.sep.1.o rnr__hints.sep.1.o rnr__particles.sep.1.o rnr__events_list.sep.1.o rnr__group_selection.sep.1.o rnr__planet_menu.sep.1.o rnr__new_game_screen.sep.1.o rnr__save_game_screen.sep.1.o rnr__load_game_screen.sep.1.o rnr__join_game_screen.sep.1.o rnr__host_game_screen.sep.1.o rnr__options_screen.sep.1.o rnr__play_screen.sep.1.o rnr__play_screen.sep.2.o rnr__play_screen.sep.3.o rnr__serialization_support.sep.1.o rnr__test_game.sep.1.o mnit__linux_app.sep.1.o sdl.sep.1.o c.sep.1.o mnit__linux_opengles1.sep.1.o linux.sep.1.o mnit__linux_assets.sep.1.o linux__data_store.sep.1.o xdg_basedir.sep.1.o sqlite3.sep.1.o sqlite3__native_sqlite3.sep.1.o json__serialization.sep.1.o json__static.sep.1.o json__error.sep.1.o nitcc_runtime.sep.1.o json__json_parser.sep.1.o json__json_lexer.sep.1.o linux_round_n_round_45dd.types.1.o linux_round_n_round_45dd.types.2.o linux_round_n_round_45dd.types.3.o linux_round_n_round_45dd.types.4.o linux_round_n_round_45dd.types.5.o linux_round_n_round_45dd.types.6.o linux_round_n_round_45dd.types.7.o linux_round_n_round_45dd.types.8.o linux_round_n_round_45dd.types.9.o linux_round_n_round_45dd.types.10.o linux_round_n_round_45dd.types.11.o linux_round_n_round_45dd.types.12.o linux_round_n_round_45dd.types.13.o linux_round_n_round_45dd.types.14.o linux_round_n_round_45dd.types.15.o linux_round_n_round_45dd.types.16.o linux_round_n_round_45dd.types.17.o linux_round_n_round_45dd.types.18.o linux_round_n_round_45dd.types.19.o linux_round_n_round_45dd.types.20.o linux_round_n_round_45dd.types.21.o linux_round_n_round_45dd.types.22.o linux_round_n_round_45dd.types.23.o linux_round_n_round_45dd.types.24.o linux_round_n_round_45dd.types.25.o linux_round_n_round_45dd.types.26.o linux_round_n_round_45dd.types.27.o linux_round_n_round_45dd.types.28.o linux_round_n_round_45dd.types.29.o linux_round_n_round_45dd.types.30.o linux_round_n_round_45dd.types.31.o linux_round_n_round_45dd.types.32.o linux_round_n_round_45dd.types.33.o linux_round_n_round_45dd.types.34.o linux_round_n_round_45dd.types.35.o linux_round_n_round_45dd.types.36.o linux_round_n_round_45dd.types.37.o linux_round_n_round_45dd.types.38.o linux_round_n_round_45dd.types.39.o linux_round_n_round_45dd.types.40.o linux_round_n_round_45dd.types.41.o linux_round_n_round_45dd.types.42.o linux_round_n_round_45dd.types.43.o linux_round_n_round_45dd.types.44.o linux_round_n_round_45dd.types.45.o linux_round_n_round_45dd.types.46.o linux_round_n_round_45dd.types.47.o linux_round_n_round_45dd.types.48.o linux_round_n_round_45dd.types.49.o linux_round_n_round_45dd.types.50.o linux_round_n_round_45dd.types.51.o linux_round_n_round_45dd.types.52.o linux_round_n_round_45dd.types.53.o linux_round_n_round_45dd.types.54.o linux_round_n_round_45dd.types.55.o linux_round_n_round_45dd.types.56.o linux_round_n_round_45dd.types.57.o linux_round_n_round_45dd.types.58.o linux_round_n_round_45dd.types.59.o linux_round_n_round_45dd.types.60.o linux_round_n_round_45dd.types.61.o c_functions_hash.extern.o gc_chooser.extern.o core__flat._ffi.extern.o core__flat._nitni.extern.o core__abstract_text._ffi.extern.o core__abstract_text._nitni.extern.o core__native._ffi.extern.o core__native._nitni.extern.o core__kernel._ffi.extern.o core__kernel._nitni.extern.o core__math._ffi.extern.o core__math._nitni.extern.o core__environ._ffi.extern.o core__environ._nitni.extern.o core__file._ffi.extern.o core__file._nitni.extern.o core__time._ffi.extern.o core__time._nitni.extern.o core__exec._ffi.extern.o core__exec._nitni.extern.o core__re._ffi.extern.o core__re._nitni.extern.o core__fixed_ints._ffi.extern.o core__fixed_ints._nitni.extern.o realtime._ffi.extern.o realtime._nitni.extern.o pthreads._ffi.extern.o pthreads._nitni.extern.o binary._ffi.extern.o binary._nitni.extern.o mnit__opengles1._ffi.extern.o mnit__opengles1._nitni.extern.o rnr__lib._ffi.extern.o rnr__lib._nitni.extern.o socket__socket_c._ffi.extern.o socket__socket_c._nitni.extern.o rnr__draw_specials._ffi.extern.o rnr__draw_specials._nitni.extern.o rnr__nebula._ffi.extern.o rnr__nebula._nitni.extern.o sdl._ffi.extern.o sdl._nitni.extern.o mnit__linux_opengles1._ffi.extern.o mnit__linux_opengles1._nitni.extern.o xdg_basedir._ffi.extern.o xdg_basedir._nitni.extern.o sqlite3__native_sqlite3._ffi.extern.o sqlite3__native_sqlite3._nitni.extern.o $(LDLIBS) `pkg-config --libs bdw-gc bdw-gc bdw-gc glesv1_cm egl glesv1_cm egl x11 x11 libxdg-basedir libxdg-basedir sqlite3 sqlite3`

clean:
	rm linux_round_n_round_45dd.classes.1.o linux_round_n_round_45dd.classes.2.o linux_round_n_round_45dd.classes.3.o linux_round_n_round_45dd.classes.4.o linux_round_n_round_45dd.classes.5.o linux_round_n_round_45dd.classes.6.o linux_round_n_round_45dd.classes.7.o linux_round_n_round_45dd.classes.8.o linux_round_n_round_45dd.classes.9.o linux_round_n_round_45dd.main.1.o linux_round_n_round_45dd.sep.1.o rnr__linux_round_n_round.sep.1.o rnr__round_n_round.sep.1.o mnit__mnit_app.sep.1.o app__app_base.sep.1.o core__posix.sep.1.o core__ropes.sep.1.o core__ropes.sep.2.o core__flat.sep.1.o core__flat.sep.2.o core__abstract_text.sep.1.o core__abstract_text.sep.2.o core__native.sep.1.o core__kernel.sep.1.o core__math.sep.1.o core__collection.sep.1.o core__range.sep.1.o core__abstract_collection.sep.1.o core__list.sep.1.o core__array.sep.1.o core__sorter.sep.1.o core__hash_collection.sep.1.o core__union_find.sep.1.o core__string_search.sep.1.o core__environ.sep.1.o core__file.sep.1.o core__stream.sep.1.o core__error.sep.1.o core__bytes.sep.1.o core__codec_base.sep.1.o core__utf8.sep.1.o core__time.sep.1.o core__gc.sep.1.o core__exec.sep.1.o core__bitset.sep.1.o core__queue.sep.1.o core__numeric.sep.1.o core__re.sep.1.o core__fixed_ints.sep.1.o core__fixed_ints.sep.2.o mnit__display.sep.1.o mnit__input.sep.1.o mnit__assets.sep.1.o mnit__numbers.sep.1.o mnit__mnit_fps.sep.1.o realtime.sep.1.o rnr__game.sep.1.o rnr__astrals.sep.1.o bucketed_game.sep.1.o serialization.sep.1.o counter.sep.1.o poset.sep.1.o rnr__building.sep.1.o rnr__building.sep.2.o rnr__game_base.sep.1.o rnr__progress_listener.sep.1.o rnr__lib_addons.sep.1.o performance_analysis.sep.1.o rnr__nations.sep.1.o rnr__resources.sep.1.o more_collections.sep.1.o rnr__entities.sep.1.o rnr__entities.sep.2.o rnr__move_graph.sep.1.o rnr__walkable.sep.1.o rnr__move_base.sep.1.o a_star.sep.1.o rnr__flyable.sep.1.o rnr__glidable.sep.1.o rnr__orbitable.sep.1.o rnr__saucable.sep.1.o rnr__line_of_sight.sep.1.o pthreads.sep.1.o pthreads__redef_collections.sep.1.o rnr__building_attack.sep.1.o rnr__fights.sep.1.o rnr__units.sep.1.o rnr__verse_generation.sep.1.o rnr__base.sep.1.o rnr__biomes.sep.1.o rnr__passages.sep.1.o rnr__consolidated_story.sep.1.o rnr__more_biomes_generators.sep.1.o rnr__more_layout_generators.sep.1.o rnr__spyglass.sep.1.o rnr__colonies.sep.1.o rnr__colonies.sep.2.o rnr__transports.sep.1.o rnr__weapons.sep.1.o rnr__applicable_items.sep.1.o rnr__skills.sep.1.o rnr__training.sep.1.o rnr__building_covering.sep.1.o rnr__diplomacy.sep.1.o rnr__building_workers.sep.1.o rnr__animals.sep.1.o rnr__players.sep.1.o rnr__governor.sep.1.o rnr__aida.sep.1.o rnr__hoods.sep.1.o rnr__ai_memory.sep.1.o rnr__population.sep.1.o rnr__plan_colony.sep.1.o rnr__plan_colony.sep.2.o ai__backtrack.sep.1.o rnr__starting_spot.sep.1.o rnr__trading.sep.1.o rnr__plan_population.sep.1.o ai__search.sep.1.o trees__abstract_tree.sep.1.o trees__bintree.sep.1.o trees__rbtree.sep.1.o rnr__armors.sep.1.o rnr__master_plan.sep.1.o rnr__breathing.sep.1.o rnr__nature.sep.1.o rnr__falling.sep.1.o rnr__fog_of_war.sep.1.o rnr__recruit_army.sep.1.o rnr__farm.sep.1.o rnr__jetpacking.sep.1.o rnr__gates.sep.1.o rnr__nukes.sep.1.o rnr__portable_passages.sep.1.o rnr__watch_tower.sep.1.o rnr__nation_color.sep.1.o colors.sep.1.o rnr__standard.sep.1.o rnr__healing.sep.1.o rnr__gathering.sep.1.o rnr__airports.sep.1.o rnr__satellites.sep.1.o rnr__artillery.sep.1.o rnr__shared_sight.sep.1.o rnr__camp.sep.1.o rnr__fire.sep.1.o rnr__client.sep.1.o binary__serialization.sep.1.o serialization__caching.sep.1.o serialization__engine_tools.sep.1.o binary.sep.1.o rnr__event_statistics.sep.1.o rnr__saving.sep.1.o rnr__version.sep.1.o rnr__assets.sep.1.o rnr__round_n_round_story.sep.1.o rnr__round_n_round_story.sep.2.o rnr__round_n_round_story.sep.3.o rnr__round_n_round_story.sep.4.o rnr__sprites.sep.1.o mnit__opengles1.sep.1.o rnr__drawing.sep.1.o mnit__image_set.sep.1.o rnr__planets.sep.1.o rnr__lib.sep.1.o mnit__pretty.sep.1.o mnit__controls.sep.1.o geometry__points_and_lines.sep.1.o geometry__boxes.sep.1.o geometry__angles.sep.1.o mnit__tileset.sep.1.o rnr__settings.sep.1.o app__data_store.sep.1.o rnr__services.sep.1.o rnr__network.sep.1.o socket.sep.1.o socket__socket_c.sep.1.o pthreads__concurrent_collections.sep.1.o rnr__messages.sep.1.o rnr__common_server.sep.1.o rnr__thin_additions.sep.1.o rnr__splash_screen.sep.1.o rnr__splash.sep.1.o rnr__drawing_addons.sep.1.o rnr__main_menu_screen.sep.1.o rnr__save_slots.sep.1.o rnr__shared_controls.sep.1.o rnr__falling_box.sep.1.o rnr__visibles.sep.1.o rnr__visibles.sep.2.o rnr__visibles.sep.3.o rnr__draw_specials.sep.1.o rnr__nebula.sep.1.o noise.sep.1.o rnr__opulent_text.sep.1.o rnr__lpc.sep.1.o rnr__world_screen.sep.1.o rnr__visible_orders.sep.1.o rnr__stars.sep.1.o rnr__popups.sep.1.o rnr__game_concepts.sep.1.o rnr__hints.sep.1.o rnr__particles.sep.1.o rnr__events_list.sep.1.o rnr__group_selection.sep.1.o rnr__planet_menu.sep.1.o rnr__new_game_screen.sep.1.o rnr__save_game_screen.sep.1.o rnr__load_game_screen.sep.1.o rnr__join_game_screen.sep.1.o rnr__host_game_screen.sep.1.o rnr__options_screen.sep.1.o rnr__play_screen.sep.1.o rnr__play_screen.sep.2.o rnr__play_screen.sep.3.o rnr__serialization_support.sep.1.o rnr__test_game.sep.1.o mnit__linux_app.sep.1.o sdl.sep.1.o c.sep.1.o mnit__linux_opengles1.sep.1.o linux.sep.1.o mnit__linux_assets.sep.1.o linux__data_store.sep.1.o xdg_basedir.sep.1.o sqlite3.sep.1.o sqlite3__native_sqlite3.sep.1.o json__serialization.sep.1.o json__static.sep.1.o json__error.sep.1.o nitcc_runtime.sep.1.o json__json_parser.sep.1.o json__json_lexer.sep.1.o linux_round_n_round_45dd.types.1.o linux_round_n_round_45dd.types.2.o linux_round_n_round_45dd.types.3.o linux_round_n_round_45dd.types.4.o linux_round_n_round_45dd.types.5.o linux_round_n_round_45dd.types.6.o linux_round_n_round_45dd.types.7.o linux_round_n_round_45dd.types.8.o linux_round_n_round_45dd.types.9.o linux_round_n_round_45dd.types.10.o linux_round_n_round_45dd.types.11.o linux_round_n_round_45dd.types.12.o linux_round_n_round_45dd.types.13.o linux_round_n_round_45dd.types.14.o linux_round_n_round_45dd.types.15.o linux_round_n_round_45dd.types.16.o linux_round_n_round_45dd.types.17.o linux_round_n_round_45dd.types.18.o linux_round_n_round_45dd.types.19.o linux_round_n_round_45dd.types.20.o linux_round_n_round_45dd.types.21.o linux_round_n_round_45dd.types.22.o linux_round_n_round_45dd.types.23.o linux_round_n_round_45dd.types.24.o linux_round_n_round_45dd.types.25.o linux_round_n_round_45dd.types.26.o linux_round_n_round_45dd.types.27.o linux_round_n_round_45dd.types.28.o linux_round_n_round_45dd.types.29.o linux_round_n_round_45dd.types.30.o linux_round_n_round_45dd.types.31.o linux_round_n_round_45dd.types.32.o linux_round_n_round_45dd.types.33.o linux_round_n_round_45dd.types.34.o linux_round_n_round_45dd.types.35.o linux_round_n_round_45dd.types.36.o linux_round_n_round_45dd.types.37.o linux_round_n_round_45dd.types.38.o linux_round_n_round_45dd.types.39.o linux_round_n_round_45dd.types.40.o linux_round_n_round_45dd.types.41.o linux_round_n_round_45dd.types.42.o linux_round_n_round_45dd.types.43.o linux_round_n_round_45dd.types.44.o linux_round_n_round_45dd.types.45.o linux_round_n_round_45dd.types.46.o linux_round_n_round_45dd.types.47.o linux_round_n_round_45dd.types.48.o linux_round_n_round_45dd.types.49.o linux_round_n_round_45dd.types.50.o linux_round_n_round_45dd.types.51.o linux_round_n_round_45dd.types.52.o linux_round_n_round_45dd.types.53.o linux_round_n_round_45dd.types.54.o linux_round_n_round_45dd.types.55.o linux_round_n_round_45dd.types.56.o linux_round_n_round_45dd.types.57.o linux_round_n_round_45dd.types.58.o linux_round_n_round_45dd.types.59.o linux_round_n_round_45dd.types.60.o linux_round_n_round_45dd.types.61.o c_functions_hash.extern.o gc_chooser.extern.o core__flat._ffi.extern.o core__flat._nitni.extern.o core__abstract_text._ffi.extern.o core__abstract_text._nitni.extern.o core__native._ffi.extern.o core__native._nitni.extern.o core__kernel._ffi.extern.o core__kernel._nitni.extern.o core__math._ffi.extern.o core__math._nitni.extern.o core__environ._ffi.extern.o core__environ._nitni.extern.o core__file._ffi.extern.o core__file._nitni.extern.o core__time._ffi.extern.o core__time._nitni.extern.o core__exec._ffi.extern.o core__exec._nitni.extern.o core__re._ffi.extern.o core__re._nitni.extern.o core__fixed_ints._ffi.extern.o core__fixed_ints._nitni.extern.o realtime._ffi.extern.o realtime._nitni.extern.o pthreads._ffi.extern.o pthreads._nitni.extern.o binary._ffi.extern.o binary._nitni.extern.o mnit__opengles1._ffi.extern.o mnit__opengles1._nitni.extern.o rnr__lib._ffi.extern.o rnr__lib._nitni.extern.o socket__socket_c._ffi.extern.o socket__socket_c._nitni.extern.o rnr__draw_specials._ffi.extern.o rnr__draw_specials._nitni.extern.o rnr__nebula._ffi.extern.o rnr__nebula._nitni.extern.o sdl._ffi.extern.o sdl._nitni.extern.o mnit__linux_opengles1._ffi.extern.o mnit__linux_opengles1._nitni.extern.o xdg_basedir._ffi.extern.o xdg_basedir._nitni.extern.o sqlite3__native_sqlite3._ffi.extern.o sqlite3__native_sqlite3._nitni.extern.o 2>/dev/null
