/*
	Extern implementation of Nit module linux_opengles1
*/
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include "mnit__linux_opengles1._ffi.h"
#ifdef ANDROID
	#include <android/log.h>
	#define PRINT_ERROR(...) (void)__android_log_print(ANDROID_LOG_WARN, "Nit", __VA_ARGS__)
#else
	#define PRINT_ERROR(...) fprintf(stderr, __VA_ARGS__)
#endif
#define String_to_cstring mnit__linux_opengles1___String_to_cstring
#line 22 "/home/xymus/projects/nit/lib/mnit/linux/linux_opengles1.nit"


	NativeWindowType mnit_window;
	EGLNativeDisplayType mnit_native_display;

	SDL_Surface* mnit_sdl_surface;
int mnit__linux_opengles1___Opengles1Display_init_from_sdl___impl( Opengles1Display self, SDL_Surface * sdl_display )
{
#line 45 "/home/xymus/projects/nit/lib/mnit/linux/linux_opengles1.nit"


		mnit_sdl_surface = sdl_display;

		mnit_window = (NativeWindowType)XOpenDisplay(NULL);
		mnit_native_display = (EGLNativeDisplayType)mnit_window;

		if (!mnit_window)
		{
			fprintf(stderr, "ERROR: unable to get display!n");
			return 3;
		}

		SDL_SysWMinfo mnit_sys_info;
		SDL_VERSION(&mnit_sys_info.version);
		if(SDL_GetWMInfo(&mnit_sys_info) <= 0)
		{
			printf("Unable to get window handle");
			return 0;
		}

#ifdef __LINUX__
		mnit_window = (EGLNativeWindowType)mnit_sys_info.info.x11.window;
#elif __WIN32__
		mnit_window = (EGLNativeWindowType)mnit_sys_info.info.win.window;
#endif

		return 0;
	}
struct mnit_opengles_Texture * mnit__linux_opengles1___new_Opengles1Image_from_sdl_image___impl( SDL_Surface* sdl_image )
{
#line 83 "/home/xymus/projects/nit/lib/mnit/linux/linux_opengles1.nit"


		return mnit_opengles_load_image( sdl_image->pixels,
			sdl_image->w, sdl_image->h,
			sdl_image->w, sdl_image->h, sdl_image->format->Amask );
	}
struct mnit_opengles_Texture * mnit__linux_opengles1___new_Opengles1Image_from_file___impl( String path )
{
#line 90 "/home/xymus/projects/nit/lib/mnit/linux/linux_opengles1.nit"


		SDL_Surface *sdl_image;
		struct mnit_opengles_Texture *opengles_image;

		sdl_image = IMG_Load( String_to_cstring( path ) );
		if ( !sdl_image ) {
			fprintf(stderr, "SDL failed to load image <%s>: %s\n", String_to_cstring(path), IMG_GetError());
			return NULL;
		} else {
			opengles_image = mnit_opengles_load_image( sdl_image->pixels,
				sdl_image->w, sdl_image->h,
				sdl_image->w, sdl_image->h, sdl_image->format->Amask );
			SDL_FreeSurface(sdl_image);
			return opengles_image;
		}
	}
