/*
	Extern implementation of Nit module opengles1
*/
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include "mnit__opengles1._ffi.h"
#ifdef ANDROID
	#include <android/log.h>
	#define PRINT_ERROR(...) (void)__android_log_print(ANDROID_LOG_WARN, "Nit", __VA_ARGS__)
#else
	#define PRINT_ERROR(...) fprintf(stderr, __VA_ARGS__)
#endif
#define Opengles1Display_midway_init mnit__opengles1___Opengles1Display_midway_init
#line 63 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


	extern NativeWindowType mnit_window;
	extern EGLNativeDisplayType mnit_native_display;

	GLfloat mnit_opengles_vertices[6][3] =
	{
		{0.0f, 1.0f, 0.0f},
		{1.0f, 1.0f, 0.0f},
		{0.0f, 0.0f, 0.0f},
		{1.0f, 0.0f, 0.0f},
	};
	GLfloat mnit_opengles_texture[6][2] =
	{
		{0.0f, 0.0f},
		{0.0f, 1.0f},
		{1.0f, 1.0f},
		{0.0f, 0.0f},
		{1.0f, 1.0f},
		{1.0f, 0.0f}
	};

	struct mnit_opengles_Texture *mnit_opengles_load_image(
		const uint_least32_t *pixels, int width, int height,
		int width_pow2, int height_pow2, int has_alpha)
	{
		struct mnit_opengles_Texture *image = malloc(sizeof(struct mnit_opengles_Texture));
		int format = has_alpha? GL_RGBA: GL_RGB;

		image->width = width;
		image->height = height;
		image->center_x = width/2;
		image->center_y = height/2;
		image->scale = 1.0f;
		image->blended = has_alpha;

		image->src_xo = 0;
		image->src_yo = 0;
		image->src_xi = ((float)width)/width_pow2;
		image->src_yi = ((float)height)/height_pow2;

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
			PRINT_ERROR("error loading image after malloc: %i", mnit_opengles_error_code);
		}

		glGenTextures(1, &image->texture);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
			PRINT_ERROR("error loading image after glGenTextures: %i", mnit_opengles_error_code);
		}

		glBindTexture(GL_TEXTURE_2D, image->texture);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
			PRINT_ERROR("error loading image glBindTexture: %i", mnit_opengles_error_code);
		}

		glTexImage2D(	GL_TEXTURE_2D, 0, format, width_pow2, height_pow2,
						0, format, GL_UNSIGNED_BYTE, (GLvoid*)pixels);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
			PRINT_ERROR("error loading image after glTexImage2D: %i", mnit_opengles_error_code);
		}

		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
			PRINT_ERROR("error loading image after gtTexParameter: %i", mnit_opengles_error_code);
		}

		return image;
	}
int mnit__opengles1___Opengles1Display_extern_init___impl( Opengles1Display self )
{
#line 146 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		/* initialize OpenGL ES and EGL */
		const EGLint attribs[] = {
				EGL_SURFACE_TYPE, EGL_WINDOW_BIT,
				EGL_BLUE_SIZE, 8,
				EGL_GREEN_SIZE, 8,
				EGL_RED_SIZE, 8,
				EGL_NONE
		};
		EGLint w, h, format;
		EGLint numConfigs;
		EGLConfig config;
		EGLSurface surface;
		EGLContext context;

		EGLDisplay display = eglGetDisplay(mnit_native_display);
		if ( display == EGL_NO_DISPLAY) {
			PRINT_ERROR("Unable to eglGetDisplay");
			return -1;
		}

		if ( eglInitialize(display, 0, 0) == EGL_FALSE) {
			PRINT_ERROR("Unable to eglInitialize");
			return -1;
		}

		if ( eglChooseConfig(display, attribs, &config, 1, &numConfigs) == EGL_FALSE) {
			PRINT_ERROR("Unable to eglChooseConfig");
			return -1;
		}

		if ( numConfigs == 0 ) {
			PRINT_ERROR("No configs available for egl");
			return -1;
		}

		if ( eglGetConfigAttrib(display, config, EGL_NATIVE_VISUAL_ID, &format) == EGL_FALSE) {
			PRINT_ERROR("Unable to eglGetConfigAttrib");
			return -1;
		}

		/* Used by Android to set buffer geometry */
		Opengles1Display_midway_init(self, format);

		surface = eglCreateWindowSurface(display, config, mnit_window, NULL);
		context = eglCreateContext(display, config, NULL, NULL);

		if (eglMakeCurrent(display, surface, surface, context) == EGL_FALSE) {
			PRINT_ERROR("Unable to eglMakeCurrent");
			return -1;
		}

		eglQuerySurface(display, surface, EGL_WIDTH, &w);
		eglQuerySurface(display, surface, EGL_HEIGHT, &h);

		mnit_display = display;
		mnit_context = context;
		mnit_surface = surface;
		mnit_config = config;
		mnit_width = w;
		mnit_height = h;

		glViewport(0, 0, mnit_width, mnit_height);
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		glOrthof(0.0f, w, h, 0.0f, 0.0f, 1.0f);
		glMatrixMode(GL_MODELVIEW);

		glFrontFace( GL_CW );

		return 0;
	}
void mnit__opengles1___Opengles1Display_close___impl( Opengles1Display self )
{
#line 219 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		if ( mnit_display != EGL_NO_DISPLAY) {
			eglMakeCurrent( mnit_display, EGL_NO_SURFACE, EGL_NO_SURFACE, EGL_NO_CONTEXT);
			if ( mnit_context != EGL_NO_CONTEXT) {
				eglDestroyContext( mnit_display,  mnit_context );
			}
			if ( mnit_surface != EGL_NO_SURFACE) {
				eglDestroySurface( mnit_display,  mnit_surface );
			}
			eglTerminate( mnit_display);
		}
		 mnit_display = EGL_NO_DISPLAY;
		 mnit_context = EGL_NO_CONTEXT;
		 mnit_surface = EGL_NO_SURFACE;
	}
void mnit__opengles1___Opengles1Display_begin___impl( Opengles1Display self )
{
#line 235 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		glClear(GL_COLOR_BUFFER_BIT);
		glLoadIdentity();
	}
long mnit__opengles1___Opengles1Display_width___impl( Opengles1Display self )
{
#line 240 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		return mnit_width;
	}
long mnit__opengles1___Opengles1Display_height___impl( Opengles1Display self )
{
#line 243 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		return mnit_height;
	}
void mnit__opengles1___Opengles1Display_finish___impl( Opengles1Display self )
{
#line 247 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		eglSwapBuffers( mnit_display, mnit_surface );
	}
void mnit__opengles1___Opengles1Display_set_viewport___impl( Opengles1Display self, long x, long y, long w, long h )
{
#line 251 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		glLoadIdentity();
		glViewport(0,0, mnit_width, mnit_height );
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		glOrthof(x, x+w, y+h, y, 0.0f, 1.0f);
		glMatrixMode(GL_MODELVIEW);
		glFrontFace( GL_CW );
	}
void mnit__opengles1___Opengles1Display_native_blit___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y )
{
#line 263 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		GLfloat texture_coord[4][2] =
		{
			{image->src_xo, image->src_yi},
			{image->src_xi, image->src_yi},
			{image->src_xo, image->src_yo},
			{image->src_xi, image->src_yo}
		};

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);
		glTranslatef( x, y, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );

		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}

		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, mnit_opengles_vertices);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coord );

		glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   PRINT_ERROR("error drawing: %i", mnit_opengles_error_code);
		}
	}
void mnit__opengles1___Opengles1Display_native_blit_rotated___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y, double angle )
{
#line 313 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		GLfloat texture_coord[4][2] =
		{
			{image->src_xo, image->src_yi},
			{image->src_xi, image->src_yi},
			{image->src_xo, image->src_yo},
			{image->src_xi, image->src_yo}
		};

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);
		glTranslatef( x, y, 0.0f );
		glRotatef( angle*180.0f/3.14156f, 0, 0, 1.0f );
		glTranslatef( image->width*image->scale/-2, image->height*image->scale/-2, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );
		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}
		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, mnit_opengles_vertices);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coord );

		glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   PRINT_ERROR("error drawing: %i", mnit_opengles_error_code);
		}
	}
void mnit__opengles1___Opengles1Display_native_blit_stretched___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double ax, double ay, double bx, double by, double cx, double cy, double dx, double dy )
{
#line 362 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		GLfloat texture_coord[4][2] =
		{
			{image->src_xo, image->src_yi},
			{image->src_xi, image->src_yi},
			{image->src_xo, image->src_yo},
			{image->src_xi, image->src_yo}
		};

		GLfloat mnit_opengles_vertices_stretched[6][3] =
		{
			{bx, by, 0.0f},
			{cx, cy, 0.0f},
			{ax, ay, 0.0f},
			{dx, dy, 0.0f},
		};

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);

		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}

		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, mnit_opengles_vertices_stretched);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coord );

		glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   PRINT_ERROR("error drawing: %i", mnit_opengles_error_code);
		}
	}
void mnit__opengles1___Opengles1Display_clear___impl( Opengles1Display self, double r, double g, double b )
{
#line 409 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		glClearColor( r, g, b, 1.0 );
		glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	}
void mnit__opengles1___Opengles1Display_clear_alpha___impl( Opengles1Display self, double r, double g, double b, double a )
{
#line 414 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		glClearColor( r, g, b, a );
		glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	}
void mnit__opengles1___Opengles1Display_color___impl( Opengles1Display self, double r, double g, double b, double a )
{
#line 423 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 glColor4f(r, g, b, a); }
void mnit__opengles1___Opengles1Display_reset_color___impl( Opengles1Display self )
{
#line 428 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 glColor4f(1.0f, 1.0f, 1.0f, 1.0f); }
void mnit__opengles1___Opengles1Image_destroy___impl( struct mnit_opengles_Texture * self )
{
#line 434 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 free( self ); }
long mnit__opengles1___Opengles1Image_width___impl( struct mnit_opengles_Texture * self )
{
#line 436 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->width; }
long mnit__opengles1___Opengles1Image_height___impl( struct mnit_opengles_Texture * self )
{
#line 437 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->height; }
long mnit__opengles1___Opengles1Image_center_x___impl( struct mnit_opengles_Texture * self )
{
#line 439 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->center_x; }
long mnit__opengles1___Opengles1Image_center_y___impl( struct mnit_opengles_Texture * self )
{
#line 440 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->center_y; }
void mnit__opengles1___Opengles1Image_scale__assign___impl( struct mnit_opengles_Texture * self, double v )
{
#line 442 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		self->scale = v;
		self->center_x = v*self->width/2;
		self->center_y = v*self->height/2;
    }
double mnit__opengles1___Opengles1Image_scale___impl( struct mnit_opengles_Texture * self )
{
#line 447 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->scale; }
void mnit__opengles1___Opengles1Image_blended__assign___impl( struct mnit_opengles_Texture * self, int v )
{
#line 449 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 self->blended = v; }
int mnit__opengles1___Opengles1Image_blended___impl( struct mnit_opengles_Texture * self )
{
#line 450 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"

 return self->blended; }
Image mnit__opengles1___Opengles1Image_subimage___impl( struct mnit_opengles_Texture * self, long x, long y, long w, long h )
{
#line 453 "/home/xymus/projects/nit/lib/mnit/opengles1.nit"


		struct mnit_opengles_Texture* image =
			malloc( sizeof( struct mnit_opengles_Texture ) );

		image->texture = self->texture;
		image->width = w;
		image->height = h;
		image->center_x = self->scale*w/2;
		image->center_y = self->scale*h/2;
		image->scale = self->scale;
		image->blended = self->blended;

		float r_dx = self->src_xi - self->src_xo;
		float r_dy = self->src_yi - self->src_yo;
		image->src_xo = self->src_xo + ((float)x)/self->width*r_dx;
		image->src_yo = self->src_yo + ((float)y)/self->height*r_dy;
		image->src_xi = self->src_xo + ((float)x+w)/self->width*r_dx;
		image->src_yi = self->src_yo + ((float)y+h)/self->height*r_dy;

		return Opengles1Image_as_Image( image );
    }
