/*
	Extern implementation of Nit module draw_specials
*/
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include "rnr__draw_specials._ffi.h"
#ifdef ANDROID
	#include <android/log.h>
	#define PRINT_ERROR(...) (void)__android_log_print(ANDROID_LOG_WARN, "Nit", __VA_ARGS__)
#else
	#define PRINT_ERROR(...) fprintf(stderr, __VA_ARGS__)
#endif
void rnr__draw_specials___Opengles1Display_blit_health___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y, double angle, long level )
{
#line 77 "src/client/draw_specials.nit"


		float l = 1.0f - ((float)level)/100.0f;
		if (l<0.2) l = 0.2;
		GLfloat mnit_opengles_vertices[8][3] =
		{
			{0.0f, l, 0.0f},
			{1.0f, l, 0.0f},
			{0.0f, 0.0f, 0.0f},
			{1.0f, 0.0f, 0.0f},
			{0.0f, 1.0f, 0.0f},
			{1.0f, 1.0f, 0.0f},
			{0.0f, l, 0.0f},
			{1.0f, l, 0.0f},
		};

		GLfloat half_y = image->src_yo + (image->src_yi-image->src_yo)*l;
		GLfloat texture_coord[8][2] =
		{
			{image->src_xo, half_y},
			{image->src_xi, half_y},
			{image->src_xo, image->src_yo},
			{image->src_xi, image->src_yo},
			{image->src_xo, image->src_yi},
			{image->src_xi, image->src_yi},
			{image->src_xo, half_y},
			{image->src_xi, half_y}
		};

		GLfloat colors[] =
		{
		    1.0, 0.0, 0.0, 1.0,
		    1.0, 0.0, 0.0, 1.0,
		    1.0, 0.0, 0.0, 1.0,
		    1.0, 0.0, 0.0, 1.0,
			0.0, 0.7, 0.0, 1.0,
			0.0, 0.7, 0.0, 1.0,
			0.0, 0.7, 0.0, 1.0,
			0.0, 0.7, 0.0, 1.0,
		};

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);
		glEnableClientState(GL_COLOR_ARRAY);

		glTranslatef( x, y, 0.0f );
		glRotatef( angle*180.0f/3.14156f, 0, 0, 1.0f );
		glTranslatef( image->width*image->scale/-2, image->height*image->scale/-2, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );
		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}
		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, mnit_opengles_vertices);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coord );
		glColorPointer(4, GL_FLOAT, 0, colors);

		glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);
		glDrawArrays(GL_TRIANGLE_STRIP, 4, 4);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		glDisableClientState(GL_COLOR_ARRAY);

		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   fprintf(stderr, "error drawing: %i\n", mnit_opengles_error_code);
		}
	}
void rnr__draw_specials___Opengles1Display_blit_rotated_half___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y, double angle, double darken )
{
#line 156 "src/client/draw_specials.nit"


		GLfloat mnit_opengles_vertices[6][3] =
		{
			{0.0f, 1.0f, 0.0f},
			{1.0f, 1.0f, 0.0f},
			{0.0f, 0.0f, 0.0f},
			{1.0f, 0.0f, 0.0f},
		};
		GLfloat texture_coord[4][2] =
		{
			{image->src_xo, image->src_yi},
			{image->src_xi, image->src_yi},
			{image->src_xo, image->src_yo},
			{image->src_xi, image->src_yo}
		};
		GLfloat colors[] =
		{
		    1.0*darken, 1.0*darken, 1.0*darken, 0.0,
		    1.0*darken, 1.0*darken, 1.0*darken, 0.0,
		    1.0*darken, 1.0*darken, 1.0*darken, 1.0,
		    1.0*darken, 1.0*darken, 1.0*darken, 1.0
		};

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);
		glEnableClientState(GL_COLOR_ARRAY);

		glTranslatef( x, y, 0.0f );
		glRotatef( angle*180.0f/3.14156f, 0, 0, 1.0f );
		glTranslatef( image->width*image->scale/-2, image->height*image->scale/-2, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );
		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}
		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, mnit_opengles_vertices);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coord );
		glColorPointer(4, GL_FLOAT, 0, colors);

		glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		glDisableClientState(GL_COLOR_ARRAY);

		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   fprintf(stderr, "error drawing: %i\n", mnit_opengles_error_code);
		}
	}
void rnr__draw_specials___Opengles1Display_blit_pie___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y,  float*  coords,  float*  colors, long parts )
{
#line 293 "src/client/draw_specials.nit"


		GLfloat texture_coords[parts*3][2];

		float src_dx = image->src_xi - image->src_xo;
		float src_dy = image->src_yi - image->src_yo;
		int p, v;
		for (p = 0; p < parts; p++)
			for (v = 0; v < 3; v++) {
				texture_coords[p*3+v][0] = image->src_xo + src_dx*coords[p*3*3+v*3+0];
				texture_coords[p*3+v][1] = image->src_yo + src_dy*coords[p*3*3+v*3+1];

				//printf("GL0> %d.%d: %f %f (%f, %f)\n", p, v,
					//texture_coords[p*3+v][0], texture_coords[p*3+v][0],
					//coords[p*3*3+v*3], coords[p*3*3+v*3+1]);
			}

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);
		glEnableClientState(GL_COLOR_ARRAY);

		glTranslatef( x, y, 0.0f );
		glTranslatef( image->width*image->scale/-2, image->height*image->scale/-2, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );
		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}
		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, coords);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coords);
		glColorPointer(4, GL_FLOAT, 0, colors);

		glDrawArrays(GL_TRIANGLES, 0, parts*3);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);
		glDisableClientState(GL_COLOR_ARRAY);

		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   fprintf(stderr, "error drawing: %i\n", mnit_opengles_error_code);
		}
	}
void rnr__draw_specials___Opengles1Display_native_blit_brick_by_brick___impl( Opengles1Display self, struct mnit_opengles_Texture * image, double x, double y, double angle,  float*  coords, long triangles )
{
#line 448 "src/client/draw_specials.nit"


		GLfloat texture_coords[triangles*3][2];

		float src_dx = image->src_xi - image->src_xo;
		float src_dy = image->src_yi - image->src_yo;
		int p, v;
		for (p = 0; p < triangles; p++)
			for (v = 0; v < 3; v++) {
				texture_coords[p*3+v][0] = image->src_xo + src_dx*coords[p*3*3+v*3+0];
				texture_coords[p*3+v][1] = image->src_yo + src_dy*coords[p*3*3+v*3+1];
			}

		glLoadIdentity();

		glBindTexture(GL_TEXTURE_2D, image->texture);

		glEnableClientState(GL_VERTEX_ARRAY);
		glEnableClientState(GL_TEXTURE_COORD_ARRAY);

		glTranslatef( x, y, 0.0f );
		glRotatef( angle*180.0f/3.14156f, 0, 0, 1.0f );
		glTranslatef( image->width*image->scale/-2, image->height*image->scale/-2, 0.0f );
		glScalef( image->width*image->scale, image->height*image->scale, 1.0f );
		if ( image->blended ) {
			glEnable(GL_BLEND);
			glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
		}
		glEnable(GL_TEXTURE_2D);
		glDisable(GL_DEPTH_TEST);

		glVertexPointer(3, GL_FLOAT, 0, coords);
		glTexCoordPointer(2, GL_FLOAT, 0, texture_coords);

		glDrawArrays(GL_TRIANGLES, 0, triangles*3);

		glDisableClientState(GL_VERTEX_ARRAY);
		glDisableClientState(GL_TEXTURE_COORD_ARRAY);

		if ( image->blended ) glDisable(GL_BLEND);
		glDisable(GL_TEXTURE_2D);

		if ((mnit_opengles_error_code = glGetError()) != GL_NO_ERROR) {
		   fprintf(stderr, "error drawing: %i\n", mnit_opengles_error_code);
		}
	}
struct mnit_opengles_Texture * rnr__draw_specials___Opengles1Image_mirror___impl( struct mnit_opengles_Texture * self )
{
#line 497 "src/client/draw_specials.nit"


		struct mnit_opengles_Texture* image =
			malloc( sizeof( struct mnit_opengles_Texture ) );

		image->texture = self->texture;
		image->width = self->width;
		image->height = self->height;
		image->center_x = self->scale;
		image->center_y = self->scale;
		image->scale = self->scale;
		image->blended = self->blended;

		image->src_xo = self->src_xi; //
		image->src_yo = self->src_yo;
		image->src_xi = self->src_xo; //
		image->src_yi = self->src_yi;

		return image;
    }
